{naglowek}
{allegro_menu}
{print_errors errors=$aukcja->errors}

<div class="message_notice">
  <b>Sprawd dane swojego przedmiotu: </b>
  
  <ul>
    <li>Jeli nie dostrzegasz bdw, kliknij przycisk <i>Wystaw przedmiot &gt;</i>
        znajdujcy si na dole strony.</li>
    <li>Jeli widzisz bd lub chcesz dokona zmian, kliknij przycisk
        <i>&lt; Zmie dane</i>.<br><br></li>
  </ul>

  <div class="nobold">
      <b>Opaty</b><br>{$aukcja->item_price_desc|nl2br}<br>
      <b>Suma:</b> {$aukcja->item_price|currency_format}<br>
   </div>
</div>

<div >Nowy przedmiot: {$aukcja->item_name}</div><br>

<table cellpadding="0" cellspacing="0" class="dane_przedmiotu">
  <tr class="">
    <td colspan="2" class=bar><b>Dane przedmiotu</b></td>
  </tr>
  <tr class={cycle values="browserodd,browsereven"}>
    <td class="label">Nazwa</td>
    <td class="value"><b>{$aukcja->item_name}</b></td>
  </tr>

  <tr class={cycle values="browserodd,browsereven"}>
    <td class="label"class="label">Kategoria</td>
    <td class="value">{allegro_cat_path cat_id=$aukcja->cat_id}</td>
  </tr>

{if $aukcja->auction_type == 'shop'}
  <tr class={cycle values="browserodd,browsereven"}>
    <td class="label"class="label">Kategoria w sklepie</td>
    <td class="value">{allegro_cat_path cat_id=$aukcja->shop_cat_id sklep=1}</td>
  </tr>
{/if}

{if $aukcja->auction_type == 'buy_now' || $aukcja->auction_type == 'shop'}
  <tr class={cycle values="browserodd,browsereven"}>
    <td class="label">Cena <span class="textBN">Kup Teraz!</span></td>
    <td class="value"><b><span class="large">{$aukcja->buy_now_price|currency_format}</span></b><br>
        <span class="smaller">({$aukcja->buy_now_price|kwota_slownie})</span>
    </td>
  </tr>
{elseif $aukcja->auction_type == 'auction'}
  <tr class={cycle values="browserodd,browsereven"}>
		<td >Cena wywoawcza</td>
		<td ><b><span class="large">{$aukcja->starting_price|currency_format}</span></b><br><span class="smaller">({$aukcja->starting_price|kwota_slownie})</span></td>
	</tr>
	
  <tr class={cycle values="browserodd,browsereven"}>
		<td >Cena minimalna</td>
		<td >
      {if !empty($aukcja->buy_now_price) }
        <b><span class="large">{$aukcja->reserve_price|currency_format}</span></b><br><span class="smaller">({$aukcja->reserve_price|kwota_slownie})</span>
      {else}
        <b><span class="large">-</span></b><br>
      {/if}
    </td>
	</tr>

  <tr class={cycle values="browserodd,browsereven"}>
    <td class="label">Cena <span class="textBN">Kup Teraz!</span></td>
    <td class="value">
      {if !empty($aukcja->buy_now_price)}
        <b><span class="large">{$aukcja->buy_now_price|currency_format}</span></b><br>
        <span class="smaller">({$aukcja->buy_now_price|kwota_slownie})</span>
      {else}
        <b><span class="large">-</span></b><br>
      {/if}
    </td>
  </tr>
{/if}
  <tr class={cycle values="browserodd,browsereven"}>
    <td class="label">Liczba {$aukcja->quantity_type_str}</td>
    <td class="value"><b>{$aukcja->sell_quantity}</b></td>
  </tr>
  <tr class={cycle values="browserodd,browsereven"}>
    <td class="label">Kraj</td>
    <td class="value">{$aukcja->country_name}</td>
  </tr>
  <tr class={cycle values="browserodd,browsereven"}>
    <td class="label">Wojewdztwo</td>
    <td class="value">{$aukcja->state_name}</td>
  </tr>
  <tr class={cycle values="browserodd,browsereven"}>
    <td class="label">Lokalizacja</td>
    <td class="value">{$aukcja->location}</td>
  </tr>
  <tr class={cycle values="browserodd,browsereven"}>
    <td class="label">Kod pocztowy</td>
    <td class="value">{$aukcja->postcode}</td>
  </tr>
  <tr class={cycle values="browserodd,browsereven"}>
      <td class="label">Czas trwania</td>
      <td class="value">{if $aukcja->auction_type == 'shop'}30{else}{$aukcja->auction_duration_days}{/if} dni</td>
  </tr>
  <tr class={cycle values="browserodd,browsereven"}>
    <td class="label">Pogrubienie</td>
    <td class="value">{if empty($aukcja->bold_title)} Nie {else} Tak{/if}</td>
  </tr>
  <tr class={cycle values="browserodd,browsereven"}>
    <td class="label">Podwietlenie</td>
    <td class="value">{if empty($aukcja->highlight)} Nie {else} Tak {/if}</td>
  </tr>
  <tr class={cycle values="browserodd,browsereven"}>
    <td class="label">Wyrnienie</td>
    <td class="value">{if empty($aukcja->featured)} Nie {else} Tak {/if}</td>
  </tr>
  <tr class={cycle values="browserodd,browsereven"}>
    <td class="label">Poka miniaturk</td>
    <td class="value">{if empty($aukcja->listing_thumb)} Nie {else} Tak {/if}</td>
  </tr>
  <tr class={cycle values="browserodd,browsereven"}>
    <td class="label">Strona kategorii</td>
    <td class="value">{if empty($aukcja->category_page)} Nie {else} Tak {/if}</td>
  </tr>
  <tr class={cycle values="browserodd,browsereven"}>
    <td class="label">Strona gwna Allegro</td>
    <td class="value">{if empty($aukcja->main_page)} Nie {else} Tak {/if}</td>
  </tr>
  <tr class={cycle values="browserodd,browsereven"}>
    <td class="label">Koszt przesyki pokrywa</td>
    <td class="value"><b>{if ($aukcja->transport == 'buyer' )} 'Kupujcy' {else} 'Sprzedajcy' {/if}</b>
    </td>
  </tr>
</table>

<img src="{$SZABLON_IMG_URL}/spacer.gif" alt="" title="" height="20" width="1"><br>

{include file="AllegroItemTSInfo.tpl"}

<div class="allegro_grey_bar"><div><a name="desc"></a><b>Opis</b></div></div>

{allegro_disp_sffs}
<br><br>

<iframe src="{$ADMIN_URL}?action={$action}&amp;mode=item-desc&amp;item_id=new" name='preview_frame' onload="allegro_iframe_onload(this)" style='width: 100%; height: 400px;'></iframe>

{*<form >
  <fieldset id="user_field" >
    {$aukcja->description|alle_parse_desc}
    <br clear="all">
  </fieldset>
</form>*}
<br>

{if !empty($aukcja->fotos)}
<script type="text/javascript" src="{$SCRIPT_URL}/lightbox/prototype.js"></script>
<script type="text/javascript" src="{$SCRIPT_URL}/lightbox/scriptaculous.js?load=effects,builder"></script>
<script type="text/javascript" src="{$SCRIPT_URL}/lightbox/lightbox.js"></script>

<link rel="stylesheet" href="{$SZABLON_URL}/style/lightbox.css" type="text/css" media="screen" />

<script type="text/javascript">
    LightboxOptions.fileLoadingImage =        '{$SZABLON_IMG_URL}/lightbox/loading.gif';
    LightboxOptions.fileBottomNavCloseImage = '{$SZABLON_IMG_URL}/lightbox/closelabel.gif';

    LightboxOptions.overlayOpacity = 0.8;   // controls transparency of shadow overlay

    LightboxOptions.animate = true;         // toggles resizing animations
    LightboxOptions.resizeSpeed = 7;        // controls the speed of the image resizing animations (1=slowest and 10=fastest)

    LightboxOptions.borderSize = 10;         //if you adjust the padding in the CSS, you will need to update this variable

    LightboxOptions.labelImage = "Zdjcie";
    LightboxOptions.labelOf = "z";
</script>

<div class="galeria">
  {assign var="img_width" value=$smarty.const.MINI_WIDTH+5}
  <div class="thumbs">
    {section loop=$aukcja->fotos name=f}
        <a href="{$aukcja->fotos[f].URL}" rel="lightbox[au_{$aukcja->item_id}]" style="width: {$img_width}">
          <img src="{$aukcja->fotos[f].PREVIEW_URL}" alt="{$aukcja->fotos[f].NAME}">
        </a>
    {/section}
  </div>
</div>
{/if}

<table class="form" cellpadding="5" cellspacing="0" width="100%">
  <tr>
    <td class="formsubmit">
      <form action="{$SELF_URL}" method="get">
        <div class="left">
          <input name="action" value="{$action}" type="hidden">
          <input name="mode" value="{$mode}" type="hidden">
          <input name="change" value="1" type="hidden">
          <input class="form-submit" value="&lsaquo; Zmie dane" type="submit">
        </div>
      </form>
    </td>
    <td class="formsubmit">
      <form action="{$SELF_URL}" method="post">
        <input name="form_send" value="1" type="hidden">
        <input name="action" value="{$action}" type="hidden">
        <input name="mode" value="{$mode}" type="hidden">
        <input name="confirm" value="true" type="hidden">
        <input class="form-submit" value="Wystaw przedmiot &rsaquo;" onclick="this.disabled=true; this.form.submit();" type="submit">
      </form>
    </td>
  </tr>
</table>


{include file=$footer_tpl}
