{if empty($ajax)}
{include file="header.tpl"}
{include file="`$tpl_prefix`Menu.tpl"}

{calendar_scripts}

{literal}
<style type="text/css">
input.required, select.required{
    border: solid 1px rgb(255, 203, 5);
    background-color: #fcf8e3;
}
textarea.error, input.error, select.error{
    border: solid 1px red;
    color: #a94442;
    background-color: #f2dede;
}

textarea.valid, input.valid, select.valid{
    background-color: #dff0d8;
    border-color: #d6e9c6;
    color: #3c763d;
    border-color: #3c763d;
}

input.disabled, select.disabled, textarea.disabled {
    background-color: rgb(235, 235, 228);
    color: rgb(84, 84, 84);
    border-color: grey;
}

.ui-autocomplete {
    max-height: 150px;
    overflow-y: auto;
    /* prevent horizontal scrollbar */
    overflow-x: hidden;
}
  /* IE 6 doesn't support max-height
   * we use height instead, but this forces the menu to always be this tall
   */
* html .ui-autocomplete {
    height: 150px;
}
</style>
{/literal}

<link rel="stylesheet" href="{$SCRIPT_URL}/jquery/pnotify/jquery.pnotify.default.css" type="text/css">
<link rel="stylesheet" href="{$SCRIPT_URL}/jquery/pnotify/jquery.pnotify.default.icons.css" type="text/css">
<link rel="stylesheet" href="{$SCRIPT_URL}/jquery/context-menu/jquery.contextMenu.css" type="text/css">
<link rel="stylesheet" href="{$SZABLON_URL}/style/dropit.css" type="text/css">
{link js="search,jquery/jquery.form,json2,EcSelection,EcProgress,jquery/pnotify/jquery.pnotify.min,jquery/validate/jquery.validate,jquery/validate/additional-methods,jquery/validate/jquery.validate-pl,jquery/context-menu/jquery.contextMenu,jquery/jquery.metadata,jquery/jquery.tooltip,dropit,admin/common,admin/inpost"  path="$URL_PATH"}

{if empty($inpost.api)}
    <div id="inpostApiError" class="message_error">Skonfiguruj poczenie z API firmy INPOST, aby mc nadawa przesylki.</div>
{/if}

<div id="inpostWebApi">
    Konfiguracja WebApi: <b id="inpostApiNazwa">{$inpost.api.nazwa|default:"Brak"}</b> <a href="#" id="inpostApiConfigBtn">Ustaw/Zmie</a>
</div>

<div id="inpostContent">
  <div style="float:right; text-align: right; width: 500px;">
      Wywietl:
      {if $mode == 'sp' || $mode == 'fs' || $mode == 'pa' || $mode == 'wz'}
          <a href="{$SELF_URL}?action={$action}">Zamwienia</a> |
      {else}
          <b>Zamwienia</b> |
      {/if}

      {if $mode == 'sp' || $mode == 'fs' || $mode == 'pa'}
      <b>Paragony/Faktury</b> |
      {else}
      <a href="{$SELF_URL}?action={$action}&amp;mode=sp">Paragony/Faktury</a> |
      {/if}

      {if $mode == 'wz'}
        <b>Dokumenty WZ</b>
      {else}
        <a href="{$SELF_URL}?action={$action}&amp;mode=wz">Dokumenty WZ</a>
      {/if}


      {*<a href="{$SELF_URL}?action={$action}&amp;mode=paczki">Przesyki</a>*}
  </div>

  {include file="searchFormButton.tpl"}

  {if $mode == 'wz'}
      {include file="inpost/wzSearch.tpl"}
  {elseif $mode == 'sp' || $mode == 'fs' || $mode == 'pa'}
      {include file="SiodemkaSpSearch.tpl"}
  {else}
      {include file="SiodemkaZkSearch.tpl"}
  {/if}

<div id="docsList">
{/if}

  {if $mode == 'wz'}
        {include file="inpost/wzList.tpl"}
  {elseif $mode == 'sp' || $mode == 'fs' || $mode == 'pa'}
      {include file="inpost/fsList.tpl"}
  {else}
      {include file="inpost/zkList.tpl"}
  {/if}

<script type="text/javascript">
    Inpost.docs = {json var=$docs};
</script>

{if empty($ajax)}
</div>

<div class=btns>
    {make_btn napis="Szablon" adres="#" id="inpostShipmentTemplateBtn" title="Przygotowanie szablonu przesyki"}
    {make_btn napis="Przesyki" adres="#" id="inpostCreateShipments" title="Stworzenie przesyek dla wybranych dokumentw"}
    {make_btn napis="Zamw kuriera" adres="#" id="inpostCallPickup" title="Zamwienie kuriera dla wybranych przesyek"}
{if $mode != 'sp' && $mode != 'fs' && $mode != 'pa'}
    {*make_btn napis="Statusy" adres="#" id="inpostZamowieniaStatusyButton" title="Zmie status dla wybranych zamwie"*}
{/if}
    {make_btn napis="Drukuj" adres="`$SELF_URL`?action=`$action`&amp;mode=wydruk" id="inpostDrukujPrzesylki" title="Drukuj listy przewozowe dla wybranych dokumentw"}
    {*make_btn napis="Etykiety" adres="`$SELF_URL`?action=`$action`&amp;mode=etykiety" id="inpostEtykietyPrzesylki" title="Drukuj etykiety dla wybranych dokumentw"*}
    {*make_btn napis="Dokument Wydania" adres="#" id="inpostUtworzDokumentWydania" title="Wygenerownaie dokuemntu wydania dla zaznaczonych dokumentw"*}
</div>
</div>

<div id="inpostDialog" style="display: none;"></div>

<div style="display: none;">
    {*formularz do wysyania danych np. dla wydruk*}
    <form action="{$SELF_URL}?action={$action}" method="post" id="inpostForm" >
        <input type="submit" name="submit-btn" value="submit" />
    </form>
</div>

{include file="`$tpl_prefix`inpost/settings.tpl"}
{include file="`$tpl_prefix`inpost/shipment.tpl"}
{include file="`$tpl_prefix`inpost/parcel.tpl"}
{include file="`$tpl_prefix`inpost/pickup.tpl"}
{*include file="`$tpl_prefix`InpostKontrahent.tpl"*}
{*include file="`$tpl_prefix`InpostZamowieniaStatus.tpl"*}

<script type="text/javascript">
    Inpost.url      = '{$ADMIN_URL}?action={$action}';
    Inpost.kurier   = '{$inpost.kurier}';
    Inpost.config   = '{$inpost.api.nazwa}';
    Inpost.doc_type = '{$mode}';

    Inpost.template = '{$inpost.template}';
    Inpost.settings = {json var=`$inpost.settings`};
    Inpost.templates = {json var=`$inpost.templates`};
    Inpost.parcelTypes = {json var=`$inpost.parcelTypes`};
    Inpost.availableServices = {json var=`$inpost.availableServices`};
    Inpost.defaultShipment = {json var=`$inpost.defaultShipment`};

    COUNTRIES = {json var=`$countries`};
</script>

{include file="footer.tpl"}
{/if}