{include file="header.tpl" }
{include file="menu.tpl" }

<script type="text/javascript" src="{$SCRIPT_URL}/rejestracja.js"></script>

<div class="body_center wide">
<img src="{$inpost_params.logo_url}" alt="Paczkomaty 24/7" style="float:right; margin: 0px 0px 10px 10px;" />
<p>
  Nie masz jeszcze konta w systemie <a href="{inpost_params.info_url}" target=_blank>Paczkomaty 24/7</a>.
  Gdy klikniesz na przycisk "<b>Dalej</b>", zostanie ono automatycznie utworzone. Moesz jednak zarejestrowa
  si w samodzielnie w systemie Paczkomaty 24/7
  <a href="{inpost_params.register_url}" target=_blank>klikajc tutaj</a>.
</p>

<p>
  Skorzystanie z usugi <a href="{inpost_params.info_url}" target=_blank>Paczkomatu 24/7</a> jest zwizane z przekazaniem danych (imi i nazwisko, adres e-mail,
  telefon komrkowy, kod pocztowy) do firmy InPost. Jeli nie chcesz aby sklep {$SKLEP_NAZWA} uczestniczy w procesie
  rejestracji twojego konta w systemie <a href="{inpost_params.info_url}" target=_blank>Paczkomaty 24/7</a>,
  <a href="{inpost_params.register_url}" target=_blank>kliknij tutaj</a>.
</p>

<form  name='inpostRegForm' method='post' action='{$MAIN_URL}' >
  <input type="hidden" name="action" value="{$action}">
  <input type="hidden" name="mode" value="{$mode}">
  <input type="hidden" name="form_send" value="true">

  {include file="errors.tpl"}

<table class="data" cellpadding="0" cellspacing="0" >
  <tr class="head">
    <th align=left>Typ kontaktu</th>
    <th align=right></th>
  </tr>

  <tr class=odd>
    <td width='150'> Imi: </td>
    <td  ><input type='text' class=text name='inpost[firstName]' value="{$firstName|escape}" size=40 /></td>
  </tr>

  <tr class=even>
    <td align='left'> Nazwisko:</td>
    <td><input type='text' name='inpost[lastName]' value="{$lastName|escape}" size=40 /></td>
  </tr>
  
  <tr class=odd>
    <td>Telefon: </td>
    <td><input type='text' name="inpost[mobileNumber]" value="{$mobileNumber|escape}" size=40 /><sup class="red">*</sup></td>
  </tr>
  
  <tr class=even>
    <td>E-mail: </td>
    <td><input type='text' class="text" name='inpost[email]' value="{$email|escape}" size=40 /><sup class="red">*</sup></td>
  </tr>

  <tr class="head">
    <th align=left> Dane firmowe </th>
    <th align=right></th>
  </tr>
  
  <tr class=odd>
    <td >Nazwa firmy:</td>
    <td ><input type='text' class="text" name='inpost[companyName]' value="{$companyName|escape}" size='50' /></td>
  </tr>
  
  <tr class=even >
     <td >Nip:</td>
     <td ><input type='text' class="text" name='inpost[nip]' value="{$nip|escape}" size='20' /></td>
  </tr>

  <tr class=even >
     <td >Regon:</td>
     <td ><input type='text' class="text" name='inpost[regon]' value="{$regon|escape}" size='20' /></td>
  </tr>
  
  <tr class="head">
    <th colspan=2 align=left> Dane Adresowe</th>
  </tr>

  <tr class=even>
    <td>Kod pocztowy:</td>
    <td><input type='text' class="text" name='inpost[postCode]' value="{$postCode|escape}" size='20' /></td>
  </tr>

  <tr class=odd>
    <td>Miasto:</td>
    <td><input type='text' class="text" value="{$town|escape}" name='inpost[town]' size='60' /></td>
  </tr>

  <tr class=odd>
    <td>Ulica | Budynek | Lokal:</td>
    <td>
      <input type='text' class="text" name='inpost[street]' value="{$street|escape}" size='40' /> |
      <input type='text' class="text" name='inpost[building]' value="{$building|escape}" size='10'>
      <input type='text' class="text" name='inpost[flat]' value="{$flat|escape}" size='10'>
    </td>
  </tr>

  <tr class=odd>
    <td>Preferowany paczkomat :</td>
    <td>
      <select name="">
        <option value=""></option>
      </select>
    </td>
  </tr>
  
  <tr class="odd">
    <td align='center' width=150>
        <input type='checkbox' name='inpost[regulamin]' value='true' id="inpost_regulamin" {if $regulamin} checked {/if} />
    </td>
    
    <td>
      <label for=zasady>
        Skorzystanie z usugi Paczkomatu 24/7 jest zwiazane z przekazaniem danych (imie i nazwisko, adres
        email, telefon komrkowy, kod pocztowy) do firmy InPost.<br /><br />

        Zapoznaem si i akceptuj <a href="{$inpost_params.rules_url}" target="_blank">regulamin wiadczenia usugi Paczkomaty 24/7.</a>
      </label>
      
      <sup class="red"> *</sup>
    </td>
  </tr>
</table>

<div class="btns">
    {make_btn napis=" Dalej " adres="" style="width: 100px;" onclick="document.forms['regForm'].submit();"}
    {make_btn napis=" Anuluj " adres="" style="width: 80px;" onclick="document.forms['regForm'].reset();"}
</div>

  <input type="image" src="{$SZABLON_IMG_URL}/buttons/submit.gif" >
</form>
</div>

{include file="footer.tpl"}
