var o_oferta_ajax = createXmlHttpRequestObject();
var s_form_name = 'oferta_form';

var oferta_branza;
var branza_old   = -1;

var a_values = null;
var d_values = null;
var oferta_formaty = new Object();
var format_old = -1;

var parametry = new Object();

var oferta_atrybuty = null;
var oferta_cenniki = null;

var o_oferta_atrybuty_div = null;
var o_oferta_dd_div = null;

var o_oferta_atrybuty_row = null;
var o_oferta_dd_row = null;
var o_oferta_dodaj_atrybut_div = null;

function oferta_format_onchange( o_sel ){

    var o_form = o_sel.form;
    var format = o_sel.value;

    if( format != '' ){
        if( format_old != -1 && oferta_formaty[format_old] ){
            oferta_formaty[format_old].dane_values = new Object();

            for( var a in oferta_formaty[format_old].dane ){
                oferta_formaty[format_old].dane_values[a] = o_form.elements['DANE[' + a + ']'].value;
            }
        }

        format_old = format;

        if( typeof(oferta_formaty[format]) != 'object' ){
            server_connect(o_oferta_ajax, ADMIN_URL + '?action='+action+'&mode='+MODE_AJAX+'&format=' + format, oferta_format_response );
        }else{
            oferta_wyswietl_atrybuty( oferta_formaty[format] );
        }
    }else{
        o_oferta_atrybuty_row.style.display = 'none';
        o_oferta_dd_row.style.display = 'none';
    }

    update_oferta_url();
}


function oferta_init( format, branza, a_values, d_values ){

    o_oferta_atrybuty_row = document.getElementById('oferta_atrybuty_row');
    o_oferta_dd_row = document.getElementById('oferta_dd_row');
        
    var o_form = document.forms[s_form_name];

    oferta_rodzaj_onchange(o_form.elements['RODZAJ']);
    
    if( format == '' ){
        return false;
    }
    
    oferta_formaty[format] = {
        'branze' : new Object(),
        
        'kodowania' :  new Object(),
        'branze_options' :  new Object(),
        'dane' :  new Object(),

        'dane_values' :  d_values,
        'format' :  format
    }

    if( branza != '' ){
    
        oferta_formaty[format]['branza_init'] = branza;

        oferta_formaty[format]['branze'][branza] = {
            'branza' : branza,
            'multi'  : false,
            'atrybuty' : new Object(),
            'values' : a_values
        }
    }
    
    format_old = o_form.elements['FORMAT'].value = format;

    server_connect(null, ADMIN_URL + '?action='+action+'&mode='+MODE_AJAX+'&format=' + format, oferta_format_response );
    
}

function oferta_branza_onchange( o_sel ){

    var o_form = o_sel.form;
    var branza = o_sel.value;
    var format = o_form.elements['FORMAT'].value;

    if( branza != '' ){
        var branze = oferta_formaty[format]['branze'];
        
        if( branza_old != -1 && branze[branza_old] ){
            branze[branza_old].values = new Object();

            for( var a in branze[branza_old].atrybuty ){
                branze[branza_old].values[a] = o_form.elements['ATRYBUTY['+a+']'].value;
            }
        }
        
        branza_old = branza;
        
        if( typeof(branze[branza]) != 'object' ){
            server_connect(o_oferta_ajax, ADMIN_URL + '?action='+action+'&mode='+MODE_AJAX+'&format=' + format + '&branza=' + branza, oferta_branza_response );
        }else{
            oferta_wyswietl_atrybuty( branze[branza] );
        }
    }else{
        o_oferta_atrybuty_row.style.display = 'none';
    }
}

function oferta_branza_response( o_xml, o_txt ){
    
    if( arguments.length < 2 ){
        alert('Bdna odpowied serwera.');
        return false;
    }
    
    var o_branza_atrybuty_xml = o_xml.getElementsByTagName('atrybuty').item(0);
    var multi = parseInt(o_branza_atrybuty_xml.getAttribute('multi'));
    
    var o_atrybuty_xml = o_xml.getElementsByTagName('atrybut');
    
    var branza = document.forms[s_form_name].elements['BRANZA'].value;
    var format = document.forms[s_form_name].elements['FORMAT'].value;
    

    var o_atrybut_xml = null;
    var o_atrybuty = new Object();

/* pobieramy nowe nazwy funkcji z pliku XML w postaci tablicy */
    var key, val;
    var i;

    for( i = 0; i < o_atrybuty_xml.length; i++){
        o_atrybut_xml = o_atrybuty_xml.item(i);
        
        key = o_atrybut_xml.getElementsByTagName('nazwa').item(0).firstChild.data;
        val = o_atrybut_xml.getElementsByTagName('label').item(0).firstChild.data;

        o_atrybuty[key] = val;
    }
    if( typeof(oferta_formaty[format]['branze'][branza]) != 'object' ){
        oferta_formaty[format]['branze'][branza] = new Object();
        oferta_formaty[format]['branze'][branza]['values'] = new Object();
    }
    
    oferta_formaty[format]['branze'][branza]['branza'] = branza;
    oferta_formaty[format]['branze'][branza]['multi'] = multi;
    oferta_formaty[format]['branze'][branza]['atrybuty'] = o_atrybuty;
    
    if( multi == 1 ){
        i = 0;
        while( oferta_formaty[format]['branze'][branza]['values'][i] ){
            oferta_formaty[format]['branze'][branza]['atrybuty'][i] = 'Atrybut '+ (i+1);
            i++;
        }
    }
    
    oferta_wyswietl_atrybuty( oferta_formaty[format]['branze'][branza] );
    
 
}


function oferta_format_response( o_xml, o_txt ){

    if( arguments.length < 2 ){
        alert('Bdna odpowied serwera.');
        return false;
    }

    
    var format = document.forms[s_form_name].elements['FORMAT'].value;
    var i, key, val;

/**************************************************************************************************/
    var o_kodowania_xml = o_xml.getElementsByTagName('kodowanie');
    var o_kodowanie_xml = null;
    var o_kodowania = new Object();

    for( i = 0; i < o_kodowania_xml.length; i++){
        o_kodowanie_xml = o_kodowania_xml.item(i);

        key = o_kodowanie_xml.getElementsByTagName('nazwa').item(0).firstChild.data;
        val = o_kodowanie_xml.getElementsByTagName('label').item(0).firstChild.data;

        o_kodowania[key] = val;
    }

/**************************************************************************************************/
    var o_branze_xml = o_xml.getElementsByTagName('branza');
    var o_branza_xml = null;
    var o_branze = new Object();

    for( i = 0; i < o_branze_xml.length; i++){
        o_branza_xml = o_branze_xml.item(i);

        key = o_branza_xml.getElementsByTagName('nazwa').item(0).firstChild.data;
        val = o_branza_xml.getElementsByTagName('label').item(0).firstChild.data;

        o_branze[key] = val;
    }

/**************************************************************************************************/
    var o_dane_xml = o_xml.getElementsByTagName('dd');
    var o_dd_xml = null;
    var o_dane = new Object();

    for( i = 0; i < o_dane_xml.length; i++){
        o_dd_xml = o_dane_xml.item(i);

        key = o_dd_xml.getElementsByTagName('nazwa').item(0).firstChild.data;
        val = o_dd_xml.getElementsByTagName('label').item(0).firstChild.data;

        o_dane[key] = val;
    }

/**************************************************************************************************/
    if( typeof(oferta_formaty[format]) != 'object' ){
        oferta_formaty[format] = new Object();
        
        oferta_formaty[format]['branze'] = new Object();
        oferta_formaty[format]['dane_values'] =  new Object();
    }
    
    oferta_formaty[format]['format'] =  format;
    oferta_formaty[format]['kodowania'] =  o_kodowania;
    oferta_formaty[format]['branze_options'] =  o_branze;
    oferta_formaty[format]['dane'] =  o_dane;

    
    oferta_wyswietl_format( oferta_formaty[format] );
}

function oferta_wyswietl_format( oferta_format ){
    var format = oferta_format.format;
    
    var o_form = document.forms[s_form_name];
    
    make_select( o_form.elements['BRANZA'], oferta_format.branze_options );

    var kodowanie = o_form.elements['KODOWANIE'].value;
    make_select( o_form.elements['KODOWANIE'], oferta_format.kodowania );
    o_form.elements['KODOWANIE'].value = kodowanie;
    
    var key, val, label, rowclass, selected, html = '';
    var i = 0;

    for( key in oferta_format.dane ){
        label = oferta_format.dane[key];

        rowclass  =( i++ % 2) ? 'rowodd' : 'roweven';

        val = ( typeof(oferta_format.dane_values[key]) != 'undefined' ) ? oferta_format.dane_values[key] : '';
        
        html += '<div class="'+rowclass+'">';
        html += '<div class=datalabel><label for="OFERTA_DD_'+key+'">' + label + ':</label></div>';
        html += '<div class=datavalue>';
        html += '<input type="text" class=text name="DANE['+key+']" value="' + val + '" id="OFERTA_DD_' + key + '">';
        html += '</div>';
        html += '<div class=rowend></div>';
        html += '</div>';
    }

    if( html != '' ){
        if( !o_oferta_dd_div ){
            o_oferta_dd_div = document.getElementById('oferta_dd_div');
        }

        o_oferta_dd_div.innerHTML = html;

        o_oferta_dd_row.style.display = 'block';
    }else{
        o_oferta_dd_row.style.display = 'none';
    }


    if( oferta_format.branza_init  ){
        //select_option( o_form.elements['BRANZA'], oferta_format.branza_init );
        
        branza_old = o_form.elements['BRANZA'].value = oferta_format.branza_init;
        
        server_connect(null, ADMIN_URL + '?action='+action+'&mode='+MODE_AJAX+'&format=' + format + '&branza=' + oferta_format.branza_init, oferta_branza_response );
        
        oferta_format.branza_init = null;
    }
}

function oferta_wyswietl_atrybuty( oferta_branza ){

    var branza = oferta_branza.branza;

    if( !o_oferta_atrybuty_div ){
        o_oferta_atrybuty_div = document.getElementById('oferta_atrybuty_div');
    }

    var a = null;
    var label, rowclass, al, pl, ll, ppl, selected, html = '';
    var i = 0;
    
    for( a in oferta_branza.atrybuty ){
        label = oferta_branza.atrybuty[a];
        
        rowclass  =( i++ % 2) ? 'rowodd' : 'roweven';
        
        html += '<div class="'+rowclass+'">';
        html += '<div class=datalabel><label for="CENEO_ATRYBUT_'+a+'">' + label + ':</label></div>';
        
        select_options = '<option value="">Wybierz</option>';
        if( oferta_branza.values[a] ){
            for( p in parametry ){
                select_options += '<option value="'+p+'" '+(( oferta_branza.values[a] == p ) ? 'selected' : '')+'>'+parametry[p]+'</option>';
            }
        }else{
            al = a.toLowerCase();
            ll = label.toLowerCase();
            
            for( p in parametry ){
                selected = false;
                
                pl = p.toLowerCase();
                ppl = parametry[p].toLowerCase();
                
                if( (pl == al) || (ppl == ll ) || (pl.indexOf(al) >= 0) || (ppl.indexOf(al) >= 0) || (ppl.indexOf(ll) >= 0) ){
                    selected = true;
                }
                select_options += '<option value="'+p+'" '+(( selected ) ? 'selected' : '')+'>'+parametry[p]+'</option>';
            }
        }
        
        html += '<div class=datavalue>';
        html += '<select name="ATRYBUTY[' + a + ']" id="CENEO_ATRYBUT_'+a+'" onchange="oferta_atrybut_onchange(this, \'' + a + '\');">'+select_options+'</select>';

        if( (oferta_branza.multi == 1) && a.match(/^[0-9]+$/) ){
            html += ' <input type="button" onclick="oferta_usun_atrybut(' + a + ')" value="Usu atrybut">'
        }
        html += '</div>';
        html += '<div class=rowend></div>';
        html += '</div>';
    }
    if( i > 0 ){
        o_oferta_atrybuty_div.innerHTML = html;
        
        if( !o_oferta_dodaj_atrybut_div ){
            o_oferta_dodaj_atrybut_div = document.getElementById('oferta_dodaj_atrybut_div');
        }

        if( (oferta_branza.multi == 1) ){
            o_oferta_dodaj_atrybut_div.style.display = 'block';
        }else{
            o_oferta_dodaj_atrybut_div.style.display = 'none';
        }


        o_oferta_atrybuty_row.style.display = 'block';

    }else{
        o_oferta_atrybuty_row.style.display = 'none';

    }
    
    
}

function cmp_atr( a, b ){
    a = trim(a.toLowerCase());
    b = trim(b.toLowerCase());
    
    if( a == b ){
        return true;
    }

    //a.replace(/ʶ/);
}

var o_oferta_cache_period_row = null;
function oferta_cahce_onclick( o_check ){
    if(!o_oferta_cache_period_row){
        o_oferta_cache_period_row = document.getElementById('oferta_cache_period_row');
    }

    if( o_check.checked ){
        show_obj(o_oferta_cache_period_row);
    }else{
        hide_obj(o_oferta_cache_period_row);
    }
}


var o_oferta_cenniki_row = null;
var o_oferta_grupa_row = null;
function oferta_rodzaj_onchange( o_sel ){

    if(! o_oferta_cenniki_row ){
        o_oferta_cenniki_row = document.getElementById('oferta_cenniki_row');
        o_oferta_grupa_row = document.getElementById('oferta_grupa_row');
    }
    
    if( o_sel.value == 'cenniki' ){
        show_obj(o_oferta_cenniki_row);
        hide_obj(o_oferta_grupa_row);
    }else if( o_sel.value == 'grupa' ){
        show_obj(o_oferta_grupa_row);
        hide_obj(o_oferta_cenniki_row);
    }else{
        hide_obj(o_oferta_grupa_row);
        hide_obj(o_oferta_cenniki_row);
    }
}

function oferta_update_grupa_nazwa( grupa_id, grupa_nazwa ){
    
    if( !document.forms[s_form_name] ){
        alert('Bd! W dokumencie nie ma formularza o nazwie: '+ s_form_name);
    }else{
        document.forms[s_form_name].elements['GRUPA_ID'].value = grupa_id;
        document.forms[s_form_name].elements['GRUPA_NAZWA'].value = grupa_nazwa;
    }
}


function oferta_cenniki_onreturn(){
    cenniki_load( 'oferta', oferta_cenniki_print );
}


function oferta_cenniki_assign( cenniki ){
    oferta_cenniki = cenniki;
}


var o_oferta_cenniki_div = null;
function oferta_cenniki_print( cenniki ){

    if( !o_oferta_cenniki_div ){
        o_oferta_cenniki_div = document.getElementById('oferta_cenniki_div');
    }

    oferta_cenniki = cenniki;

    cenniki_print(oferta_cenniki, o_oferta_cenniki_div );
}

function oferta_cennik_delete( num ){
    
    cennik_delete('oferta', oferta_cenniki[num].ID);
    
    oferta_cenniki.splice(num, 1);
    
    cenniki_print(oferta_cenniki, o_oferta_cenniki_div );
}

cennik_ondelete = oferta_cennik_delete;


function oferta_dodaj_atrybut(){
    var o_form = document.forms[s_form_name];
    var format = o_form.elements['FORMAT'].value;
    var branza= o_form.elements['BRANZA'].value;

    if( !oferta_formaty[format]['branze'][branza]['multi'] ){
        alert('Dla tego formatu nie mona dodawa atrybutw.');
        return false;
    }
    

    for( var a in oferta_formaty[format]['branze'][branza]['atrybuty'] ){
        oferta_formaty[format]['branze'][branza]['values'][a] = o_form.elements['ATRYBUTY['+a+']'].value;
    }

    var i = 0;
    while( oferta_formaty[format]['branze'][branza]['atrybuty'][i] ){
        i++;
    }

    if( i > 0 ){
        if( o_form.elements['ATRYBUTY['+(i-1)+']'].value == '' ){
            alert('Najpierw naley wybra atrybut numer: ' + ( i ) );
            return false;
        }
    }
    oferta_formaty[format]['branze'][branza]['atrybuty'][i] = 'Atrybut ' + (i+1);

    oferta_wyswietl_atrybuty( oferta_formaty[format]['branze'][branza] );
    
}

function oferta_usun_atrybut( num ){
    var o_form = document.forms[s_form_name];
    var format = o_form.elements['FORMAT'].value;
    var branza= o_form.elements['BRANZA'].value;

    if( !oferta_formaty[format]['branze'][branza]['multi'] ){
        alert('Dla tego formatu nie mona dodawa atrybutw.');
        return false;
    }

    var o_atrybuty = new Object();
    for( var i in oferta_formaty[format]['branze'][branza]['atrybuty'] ){
        if( i != num ){
            o_atrybuty[i] = oferta_formaty[format]['branze'][branza]['atrybuty'][i];
            oferta_formaty[format]['branze'][branza]['values'][i] = o_form.elements['ATRYBUTY['+i+']'].value;
        }
    }
    oferta_formaty[format]['branze'][branza]['atrybuty'] = o_atrybuty;

    oferta_wyswietl_atrybuty( oferta_formaty[format]['branze'][branza] );

}

function oferta_atrybut_onchange( o_sel, atrybut ){
    var o_form = o_sel.form;
    var format = o_form.elements['FORMAT'].value;
    var branza= o_form.elements['BRANZA'].value;
    var atrybut_nazwa = '';
    
    for( var i in oferta_formaty[format]['branze'][branza]['atrybuty'] ){
        atrybut_nazwa = oferta_formaty[format]['branze'][branza]['atrybuty'][i];
        if( i != atrybut ){
            if( o_form.elements['ATRYBUTY['+i+']'].value == o_sel.value ){
                alert('Uwaga ten parametr zosta wybrany dla atrybutu: ' + atrybut_nazwa );
                o_sel.value = '';
            }
        }
    }
    
    
}

var o_oferta_url_span = null;
function update_oferta_url( ){
    if(!o_oferta_url_span ){
        o_oferta_url_span = document.getElementById('oferta_url_span');
    }
    
    var format = document.forms[s_form_name].elements['FORMAT'].value;
    var nazwa = document.forms[s_form_name].elements['NAZWA'].value;

    var url = SITE_URL + '/oferta.php?format=' + format + '&oferta=' + nazwa;

    o_oferta_url_span.innerHTML = '<a href"'+url+'" target=_blank>' + url + '</a>';
}


/**************************************************************************************************/
var o_oferta_stan_towaru_row = null;
function oferta_dostepnosc_onchange( o_sel ){
    if( !o_oferta_stan_towaru_row ){
        o_oferta_stan_towaru_row = document.getElementById('oferta_stan_towaru_row');
    }

    if( o_sel.selectedIndex > 0 ){
        o_oferta_stan_towaru_row.style.display = 'block';
    }else{
        o_oferta_stan_towaru_row.style.display = 'none';
    }
}

var o_oferta_magazyny_row = null;
function oferta_stan_towaru_onchange( o_sel ){
    if( !o_oferta_magazyny_row ){
        o_oferta_magazyny_row = document.getElementById('oferta_magazyny_row');
    }

    if( o_sel.value == 3 ){
        o_oferta_magazyny_row.style.display = 'block';
    }else{
        o_oferta_magazyny_row.style.display = 'none';
    }

    update_oferta_url();
}
