// JavaScript Document
//domyslny tekst helpa wpisany dla domyslnej opcji w szablonie smarty jest
//tutaj przechowywany
var help_text = '';
//wszystkie dodane sposoby dostawy jakie
var sposoby_dostawy = [];
var sp_dost_platnosci = null;

var o_sp_dost_hint    = null;
var o_sp_dost_opcje   = null;
var o_koszty_przesylki_row = null;
var o_do_zaplaty_row = null;


var koszt_przesylki = 0;
var koszt_przesylki_netto = 0;
var koszt_przesylki_brutto = 0;

var last_option_num = null;

var koszty = [];
var global_grupy;

var sp_dost_num = -1;
var przesylka_num = -1;


//funkcja obslugujaca zmiane sposobu dostawy, do funkcji przekazywany jest
//select w ktorym zostal zmieniony sposob dostawy
function sp_dost_handle_change( o_sp_dost_sel ){
    var i = 0;
    var o_form = o_sp_dost_sel.form;
    if ( !o_form ){
        o_form = document.forms['zamowienie_form'];
    }
    if( !o_sp_dost_opcje ){
        o_sp_dost_opcje = document.getElementById('sp_dost_opcje');
    }

    if( !o_sp_dost_hint ){
        o_sp_dost_hint = document.getElementById('sp_dost_hint');
    }

    if( !o_koszty_przesylki_row ){
        o_koszty_przesylki_row = document.getElementById('koszty_przesylki_row');
    }

    if( !o_do_zaplaty_row ){
        o_do_zaplaty_row = document.getElementById('do_zaplaty_row');
    }

    if( o_sp_dost_sel.selectedIndex > 0 ){
        if( help_text == '' && o_sp_dost_hint)
            help_text = o_sp_dost_hint.innerHTML;

        if ( !sp_dost_platnosci && o_form.SPOSOB_PLATNOSCI ) {
            sp_dost_platnosci = {};

            for ( var o = 0; o < o_form.SPOSOB_PLATNOSCI.options.length; o++ ){
                if( o_form.SPOSOB_PLATNOSCI.options[o].value ){
                    sp_dost_platnosci[o_form.SPOSOB_PLATNOSCI.options[o].value] = o_form.SPOSOB_PLATNOSCI.options[o].text;
                }
            }
        }

        i = o_sp_dost_sel.selectedIndex - 1;
        if ( sposoby_dostawy[i]['platnosci'] && typeof(sposoby_dostawy[i]['platnosci'].length) == 'undefined' ) {
            make_select( o_form.SPOSOB_PLATNOSCI, sposoby_dostawy[i]['platnosci'], o_form.SPOSOB_PLATNOSCI.value );
            o_form.SPOSOB_PLATNOSCI.custom_payments = true;
            if(  o_form.SPOSOB_PLATNOSCI && typeof( o_form.SPOSOB_PLATNOSCI.onchange ) == 'function' ) {
                o_form.SPOSOB_PLATNOSCI.onchange();
            }
        } else if( o_form.SPOSOB_PLATNOSCI.custom_payments ){
            make_select( o_form.SPOSOB_PLATNOSCI, sp_dost_platnosci, o_form.SPOSOB_PLATNOSCI.value );
            o_form.SPOSOB_PLATNOSCI.custom_payments = false;
            
            if(  o_form.SPOSOB_PLATNOSCI && typeof( o_form.SPOSOB_PLATNOSCI.onchange ) == 'function' ) {
                o_form.SPOSOB_PLATNOSCI.onchange();
            }
        }

        sp_dost_num =  o_sp_dost_sel.selectedIndex - 1;
        sp_dost_disp_opcje(sposoby_dostawy[i], sp_dost_num);
    } else {
        o_sp_dost_opcje.innerHTML = '';
        sp_dost_num = -1;

        if ( help_text != '' && o_sp_dost_hint ){
            o_sp_dost_hint.innerHTML = help_text;
        }

        if ( sp_dost_platnosci && o_form.SPOSOB_PLATNOSCI.custom_payments ) {
            make_select( o_form.SPOSOB_PLATNOSCI, sp_dost_platnosci, o_form.SPOSOB_PLATNOSCI.value );
            o_form.SPOSOB_PLATNOSCI.custom_payments = false;
            o_form.SPOSOB_PLATNOSCI.onchange();
        }
    }
}

function sp_dost_disp_opcje(){
    //zmieniam helpa
    var str = '';
    var pobranie_str = '';

    var sp_dost = sposoby_dostawy[sp_dost_num];

    if( o_sp_dost_hint ) o_sp_dost_hint.innerHTML = sp_dost.opis;

    if( sp_dost.przesylki.length == 0 ){
        o_sp_dost_opcje.innerHTML = '';
        koszt_przesylki = 0;
        update_koszt_przesylki( 0 );
    }else if( sp_dost.przesylki.length == 1 ){

        str += '<div>';
        str += '<input type=hidden name="przesylka_id" value="'+ sp_dost.przesylki[0].id + '" >';

        if( sp_dost.przesylki[0].pobranie ){
            pobranie_str += pobranie_disp( sp_dost.przesylki[0].id );
        }

        str += '<div id="przesylka_opcje" >' + pobranie_str + opcje_disp( sp_dost.przesylki[0].opcje, sp_dost.przesylki[0].id )+'</div>';
        str += '</div>';

        o_sp_dost_opcje.innerHTML = str;

        przesylka_koszty( 0 );
    }else{

        for( var i = 0; i < sp_dost.przesylki.length; i++ ){
            pobranie_str = '';

            str += '<div>';
            if( sp_dost.przesylki[i].opis != '' ){
                str += '<a onmouseover="overlib(\'' + sp_dost.przesylki[i].opis + '\')" onmouseout="nd();" class=help></a>';
            }

            str += '<input type=radio name="przesylka_id" value="'+ sp_dost.przesylki[i].id + '" id="przesylka_'+i+'" onclick="show_hide_opcje(' + sp_dost_num + ', ' + i + '); przesylka_koszty(' + i + ');"><label for="przesylka_'+i+'"> '+ sp_dost.przesylki[i].nazwa + '</label>';
            if( sp_dost.przesylki[i].pobranie ){
                pobranie_str += pobranie_disp( sp_dost.przesylki[i].id );
            }
            str += '<div id="przesylka'+i+'_opcje" class="display0">'+ pobranie_str + opcje_disp( sp_dost.przesylki[i].opcje, sp_dost.przesylki[i].id )+'</div>';
            str += '</div>';
        }

        o_sp_dost_opcje.innerHTML = str;
    }
}

function przesylka_koszty( pn ){

    koszt_przesylki = 0;

    if ( arguments.length > 0  ){
        przesylka_num = pn;
    }

    //alert( 'przesylka_koszty: ' + przesylka_num );

    if( sposoby_dostawy[sp_dost_num].przesylki[przesylka_num].gratis_kwota > 0 ){
        if( (suma_netto - rabat_kwota_netto) > sposoby_dostawy[sp_dost_num].przesylki[przesylka_num].gratis_kwota ){
            koszt_przesylki = 0;
            update_koszt_przesylki();
            return;
        }
    }

    przesylka_id = sposoby_dostawy[sp_dost_num].przesylki[przesylka_num].id;

    var o_form = document.forms['zamowienie_form'];

    var i = 0;
    var o_input = null
    var opcja_num = -1;


    if( sposoby_dostawy[sp_dost_num].przesylki[przesylka_num].pobranie && (o_input = o_form.elements['przesylka['+przesylka_id+'][pobranie]']) ){
        if( o_input.checked ){
            koszt_przesylki += sposoby_dostawy[sp_dost_num].przesylki[przesylka_num].pobranie_koszt;

            //zmieniam sposb platnoci
            for( i = 0; i < o_form.SPOSOB_PLATNOSCI.options.length; i++ ){
                if ( parseInt(o_form.SPOSOB_PLATNOSCI.options[i].value) == POBRANIE_PLATNOSC ) {
                    o_form.SPOSOB_PLATNOSCI.options[i].selected = true;
                    o_form.SPOSOB_PLATNOSCI.onchange();    //wywoanie triggera na select'cie
                    break;
                }
            }
        }
    }

    i = 0;
    while( o_input = o_form.elements['przesylka['+przesylka_id+'][opcje][' + i + ']'] ){

        if( o_input.type == 'checkbox' ){

            if( o_input.checked ){
                opcja_num = o_input.value;

                koszt_przesylki += sposoby_dostawy[sp_dost_num].przesylki[przesylka_num].opcje[opcja_num].koszt;
            }

        } else {
            //grupa opcji
            for( var j = 0; o_input[j] != null; j++ ){
                if( o_input[j].checked ){
                    opcja_num  = o_input[j].value;
                    koszt_przesylki += sposoby_dostawy[sp_dost_num].przesylki[przesylka_num].opcje[opcja_num].koszt;

                    break;
                }
            }
        }


        i++;
    }



    var koszty = sposoby_dostawy[sp_dost_num].przesylki[przesylka_num].koszty;
    var i = 0;

    //jesli mamy wage to liczymy pwedug progw
    if( waga_brutto > 0 && koszty.length > 0){
        i = 0;

        while( i < koszty.length && waga_brutto >= koszty[i].waga_od ){
            i++;
        }

        i--;

        //w przypadku zera mamy nieskoczono
        if( koszty[i].waga_do != 0 ){
            if( waga_brutto >= koszty[i].waga_do ){
                alert('Nie moesz wybra tego sposobu przesyki poniewa maksymalna waga przesyki wynosi: ' + koszty[i].waga_do + 'kg');
                return;
            }
        }

        koszt_przesylki +=  koszty[i].koszt;

    }else{
        koszt_przesylki += sposoby_dostawy[sp_dost_num].przesylki[przesylka_num].koszt;
    }

    update_koszt_przesylki();

}


function update_koszt_przesylki( ){

    var usluga_vat = sposoby_dostawy[sp_dost_num].usluga_vat;

    var koszt_przesylki_brutto = koszt_przesylki * (1 + (usluga_vat / 100));

    var cels = o_koszty_przesylki_row.getElementsByTagName('TD');

    cels.item(cels.length-1).innerHTML = '<b>' + currency_format(koszt_przesylki_brutto, ',', '&nbsp;') + '</b>';

    if ( cels.length > 2 ){
        cels.item(cels.length-2).innerHTML = '<b>' + currency_format(koszt_przesylki, ',', '&nbsp;') + '</b>';
    }

    if ( typeof(do_zaplaty_netto) === 'undefined' ) {
        do_zaplaty_netto = suma_netto - rabat_kwota_netto ;
        do_zaplaty_brutto = suma_brutto - rabat_kwota_brutto;
    }

    cels = o_do_zaplaty_row.getElementsByTagName('TD');
    cels.item(cels.length-1).innerHTML = '<b>' + currency_format( do_zaplaty_brutto + koszt_przesylki_brutto,  ',', '&nbsp;') + '</b>';

    if ( cels.length > 2 ){
        cels.item(cels.length-2).innerHTML = '<b>' + currency_format( do_zaplaty_netto + koszt_przesylki, ',', '&nbsp;') + '</b>';
    }
    //o_do_zaplaty_row.innerHTML = currency_format(koszt_przesylki);
}

function pobranie_disp( przesylka_id ){
    var str = ''

    str += '<div >\n';
    str += '\t<input type="checkbox" name="przesylka['+przesylka_id+'][pobranie]" value="1" id="przesylka_' + przesylka_id +'_pobranie"" onclick="przesylka_koszty();" >\n';
    str += '\t<label for="przesylka_' + przesylka_id +'_pobranie"> pobranie </label><br>\n';
    str += '</div>\n';

    return str;
}

function opcje_disp( opcje, przesylka_id ){
    var str = '';
    var grupa = '';
    var grupy = new Object();
    var others = new Array();
    var i, p, o = 0;

    //zbieram informacje o grupie
    for(i = 0; i < opcje.length; i++ ){
      if( opcje[i].grupa != '' ){
          if( !grupy[opcje[i].grupa] ){
              grupy[opcje[i].grupa] = new Array();
          }
          grupy[opcje[i].grupa].push( opcje[i] );
      }else{
          others.push(opcje[i]);
      }
    }


    o = 0;
    for( i = 0; i < others.length; i++, o++ ){
        str += '<div >\n';
        if( others[i].opis != '' )
            str += '\t<a onmouseover="overlib(\'' + others[i].opis + '\')" onmouseout="nd();" class=help></a>';

        str += '\t<input type="checkbox" name="przesylka['+przesylka_id+'][opcje]['+o+']" value="' + others[i].num + '" id="przesylka_'+przesylka_id+'_opcja_' + o + '" onclick="przesylka_koszty();" ><label for="przesylka_'+przesylka_id+'_opcja_' +  o + '">'+ others[i].nazwa + '</label><br>\n';
        str += '</div>\n';
    }

    var grupa = '';

    for( grupa in grupy ){
        str += '<fieldset>';
        str += '<legend>Grupa opcji:</legend>';

        for( i = 0; i < grupy[grupa].length; i++ ){
            str += '<div>\n';
            if( grupy[grupa][i].opis != '' ){
                str += '\t<a onmouseover="overlib(\'' + grupy[grupa][i].opis + '\')" onmouseout="nd();" class=help></a>';
            }

            str += '\t<input type="radio" name="przesylka['+przesylka_id+'][opcje]['+o+']" value="'+grupy[grupa][i].num+'" id="przesylka_'+przesylka_id+'_opcja_'+ (o + i) +'" onclick="przesylka_koszty();"><label for="przesylka_'+przesylka_id+'_opcja_'+ (o + i) +'"> '+ grupy[grupa][i].nazwa + '</label><br>\n';
            str += '</div>\n';
        }
        o++;

        str += '</fieldset>';
    }

    return str;

}



function show_hide_opcje( sp_dost_num, przesylka_num ){

    var i;

    for(i = 0; i < przesylka_num; i++ ){
        hide('przesylka' + i + '_opcje');
    }
    show('przesylka' + przesylka_num + '_opcje');

    for(i = przesylka_num + 1; i < sposoby_dostawy[sp_dost_num].przesylki.length; i++ ){
        hide('przesylka'+i+'_opcje');
    }

}

function wysylka2fv( o_form ){
    o_form.fv_nazwa_firmy.value   = o_form.wysylka_nazwa_firmy.value;
    o_form.fv_nip.value           = o_form.wysylka_nip.value;
    o_form.fv_kod_pocztowy.value  = o_form.wysylka_kod_pocztowy.value;
    o_form.fv_miejscowosc.value   = o_form.wysylka_miejscowosc.value;
    o_form.fv_adres.value         = o_form.wysylka_adres.value;
}

function sprawdz_zamowienie(f){

    if(f.odbiorca_id.value == ''){
        alert('Podaj odbiorc!');
        return false;
    }

    if(f.nabywca_id.value == ''){
        alert('Podaj nabywc!');
        return false;
    }

    return true;
}


function zamowienieFormHandleEnter(e){

    //zdarzenie
    e = (!e) ? window.event : e;

    // pobiera adresata zdarzenia
    var target = (!e.target) ? e.srcElement : e.target;

    // pobiera kod znaku nacinitego klawisza
    var code = (e.charCode) ? e.charCode :
           ((e.keyCode) ? e.keyCode :
           ((e.which) ? e.which : 0));


    if (e.type == "keydown" && code == 13){
        if (target.name == 'odbiorca_short_name' || target.name == 'nabywca_short_name' || target.name == 'odbiorca_taxid' || target.name == 'nabywca_taxid'){
            e.stopPropagation();
            e.preventDefault();
            e.cancelBubble = true;
            e.returnValue = false;
        }
    }
}

var ALLPAY = 0;
var ALLPAY_SP_ZAP = 0;
var PLATNOSCI_PL_SP_ZAP = 0;

function handleSposobPlatnosci(obj){
    var o_allpay_kanaly = document.getElementById('allpayKanaly');
    var o_platnosci_pl_kanaly = document.getElementById('platnosci_pl_kanaly');

    try{
        o_allpay_kanaly.style.display = 'none';
        o_platnosci_pl_kanaly.style.display = 'none';
    }catch(e){}

    if(obj.options[obj.selectedIndex].value > 0 ){
        if( obj.options[obj.selectedIndex].value == ALLPAY){
              if(o_allpay_kanaly) o_allpay_kanaly.style.display = 'block';
        }else if(obj.options[obj.selectedIndex].value == PLATNOSCI_PL_SP_ZAP ){
            if( o_platnosci_pl_kanaly ) o_platnosci_pl_kanaly.style.display = 'block';
        }
    }

    return true;
}


function fv_zmien_dane_onclick( o_check ){
    var o_form = o_check.form;
    var i = 0;
    var a_inputs = [ 'fv_nazwa_firmy', 'fv_nip', 'fv_kod_pocztowy', 'fv_miejscowosc', 'fv_adres' ];

    for( i = 0; i < a_inputs.length; i++ ){
        o_form.elements[a_inputs[i]].disabled = !o_check.checked;
    }
}




Date.prototype.toInt = function() {
    var rok = this.getFullYear();
    var miesiac =  this.getMonth() + 1;
    var dzien = this.getDate();

    rok = rok + '';
    if( dzien < 10 ){ dzien = '0' + dzien; }
    if( miesiac < 10 ){ miesiac = '0' + miesiac;}

    return parseInt('' + rok + miesiac + dzien);
}

Date.prototype.shortDate = function() {
    var rok     = this.getFullYear();
    var miesiac = this.getMonth()+1;
    var dzien   = this.getDate();

    rok = rok + '';
    if( dzien < 10 ){ dzien = '0' + dzien; }
    if( miesiac < 10 ){ miesiac = '0' + miesiac;}

    return rok  + '-' + miesiac +  '-' + dzien;
}


function rezerwacja_onchange( o_input ){
    if( arguments.length != 1 ){
        o_input = document.forms['zamowienie_form'].elements['REZERWACJA'];
    }
    var o_form = o_input.form;

    var rezerwacja = parseInt(o_input.value);
    if(isNaN(rezerwacja)) rezerwacja = 0;

    if( rezerwacja < 0 ){
        alert('Liczba dni rezerwacji nie moe by mniejsza od zera.');
    }

    var data_rezerwacji = new Date();
    data_rezerwacji.setDate( data_rezerwacji.getDate() + rezerwacja );

    var n_data_realizacji =  parseInt(o_form.elements['DATA_REALIZACJI'].value.replace('-', ''));
    if( isNaN(n_data_realizacji) ) n_data_realizacji  = 0;

    if( data_rezerwacji.toInt() > n_data_realizacji ){
        o_form.elements['DATA_REALIZACJI'].value = data_rezerwacji.shortDate();
    }
}

function data_realizacji_onchange( o_input ){
    var cal = null;

    if( !o_input.name || o_input.name != 'DATA_REALIZACJI' ){
        try{o_input.hide();}catch( o_err ){}

        o_input = document.forms['zamowienie_form'].elements['DATA_REALIZACJI'];

        if( !o_input ){
            return;
        }
    }

    var o_form = o_input.form;


    var dzis = new Date();
    var rezerwacja = parseInt(o_form.elements['REZERWACJA'].value);
    if( isNaN(rezerwacja) ) rezerwacja = 0;

    if( o_input.value.match(/[0-9]{4}\-[0-9]{2}\-[0-9]{2}/) ){
        var data_realizacji = new Date();
        var parts = o_input.value.split('-');

        data_realizacji.setFullYear( parts[0] );
        data_realizacji.setMonth( parts[1] - 1 );
        data_realizacji.setDate( parts[2] );

        if( data_realizacji.toInt()  < dzis.toInt() ){
            alert('Data realizacji nie moe by mniejsza od daty dzisiejszej.');
            return false;
        }

        if( rezerwacja > 0 ){
            var data_rezerwacji = new Date();
            data_rezerwacji.setDate( data_rezerwacji.getDate() + rezerwacja );

            if( data_realizacji.toInt() < data_rezerwacji.toInt() ){
                var dni = Math.round( (data_realizacji.getTime() - dzis.getTime() ) / ( 24 * 3600 * 1000) );
                o_form.elements['REZERWACJA'].value = dni;
            }
        }
    } else {
        alert('Nieprawidowy format daty!');
    }
}

/**************************************************************************************************/

script_load( SCRIPT_URL + '/paczkomaty.js' );

/**************************************************************************************************/
