
/******************************************************************************/
/****                                Tables                                ****/
/******************************************************************************/



CREATE TABLE WWW_AU_BLOBS (
    AUKCJA_ID    INTEGER NOT NULL,
    DESCRIPTION  BLOB SUB_TYPE 1 SEGMENT SIZE 512,
    FIELDS       BLOB SUB_TYPE 1 SEGMENT SIZE 256,
    ATTRIBS      BLOB SUB_TYPE 0 SEGMENT SIZE 256,
    FOTOS        BLOB SUB_TYPE 0 SEGMENT SIZE 256
);




/******************************************************************************/
/****                             Foreign Keys                             ****/
/******************************************************************************/

ALTER TABLE WWW_AU_BLOBS ADD CONSTRAINT WWW_AU_BLOBS_AUKCJA_ID_FK FOREIGN KEY (AUKCJA_ID) REFERENCES WWW_AUKCJE (ID) ON DELETE CASCADE ON UPDATE CASCADE;


/******************************************************************************/
/****                              Privileges                              ****/
/******************************************************************************/


/* Privileges of roles */
GRANT ALL ON WWW_AU_BLOBS TO WWW_ROLE;
