<?php
/**
 * Smarty plugin
 * @package Smarty
 * @subpackage plugins
 */


function smarty_function_contact_groups($params, &$smarty){

    if ( empty($params['tree']) ) {
        return '';
    }

    $tree = &$params['tree'];

    if ( empty($params['input_name']) && !empty($tree->checkbox_name) ) {
        $params['input_name'] = $tree->checkbox_name;
    }

    if ( empty($params['id']) && !empty($tree->checkbox_name) ) {
        $params['id'] = $tree->checkbox_name . '_tree';
    }

    if ( !isset($params['ext']) ) {
        if ( !empty($params['id']) ) {
            $params['ext'] = stripos($params['id'], '_ext');
        } elseif ( !empty($params['input_name']) ){
            $params['ext'] = stripos($params['input_name'], '_ext');
        } else {
            $params['ext'] = false;
        }
    }

    echo '<div class="cats"><ul'.(!empty($params['id']) ? ' id="'.$params['id'].'"' : '').'>' ."\n";

    $cats = $cat_num = $cats_count = $cat_level  = null;

    $stos   = array();
    $stos[] = array(
        'cats'          => $tree->items,
        'cat_num'       => 0,
        'cats_count'    => count($tree->items),
        'cat_level'     => 0
    );

    while( !empty($stos) ){
        $stos_length = count($stos);
        extract($stos[$stos_length - 1]);

        if ( $cat_num < $cats_count ) {
            $cat  = $cats[$cat_num];
            //przechodz do kolejnego elementu
            $stos[$stos_length - 1]['cat_num'] ++;

            //wyswietlam element
            echo str_repeat("\t", $cat_level) . '<li class="'.'">';
            echo '<input type="hidden" name="'.$params['input_name'].'['.$cat->id.'][wyswietl]" value="0"  />';
            echo '<input type="hidden" name="'.$params['input_name'].'['.$cat->id.'][zk_mag_id]" value="'.(isset($tree->indeks[$cat->id]['zk_mag_id']) ? $tree->indeks[$cat->id]['zk_mag_id'] : '').'" />';
            echo '<input type="hidden" name="'.$params['input_name'].'['.$cat->id.'][magazyny]" value="'.(isset($tree->indeks[$cat->id]['magazyny']) ? $tree->indeks[$cat->id]['magazyny'] : '').'" />';
            echo '<label><input id="contact_group'.($params['ext']?'_ext' : '').'_wyswietl'.$cat->id.'" type=checkbox class="wyswietl-chx" name="'.$params['input_name'].'['.$cat->id.'][wyswietl]" value="1" '.( !empty($tree->indeks[$cat->id]['wyswietl']) ? 'checked="checked"' : '' ).'/> ' . $cat->nazwa ;
            echo '<a href="'.SELF_URL .'?action='.ACTION_CONTACT_GROUPS.'&amp;mode='.MODE_EDIT.'&id='.$cat->id.'&ext='.intval($params['ext']).'" class="group-params" >&nbsp;</a> </label>';

            //echo str_repeat("\t", $cat_level) . '<li class="'.'"> ' . $cat->nazwa;
            if ( !empty( $cat->items ) ) {
                $cat_level++;
                echo '<ul>';

                $stos[] = array(
                    'cats'        => $cat->items,
                    'cat_num'     => 0,
                    'cats_count'  => count($cat->items),
                    'cat_level'   => $cat_level + 1
                );
            } else {
                echo '</li>' . "\n";
            }
        } else {
            //zamykam
            if ( $stos_length > 1 ) {
                echo '</ul></li>'. "\n";
            }

            //usuwam ze stosu jeden element
            array_pop( $stos );
        }
    }
    echo '</ul></div>';

    //skrypt do wywoania drzewka
    echo '<script type="text/javascript">';
    echo 'jQuery("#'.$params['id'].'").treeview({

    })';
    echo '</script>';
}

