<script type="text/javascript" src="{$SCRIPT_URL}/cache.class.js"></script>
<script type="text/javascript" src="{$SCRIPT_URL}/suggest.class.js"></script>
<script type="text/javascript" src="{$SCRIPT_URL}/jquery/jquery.blockUI.js"></script>
<script type="text/javascript" src="{$SCRIPT_URL}/jquery/jquery.form.js"></script>
<script type="text/javascript" src="{$SCRIPT_URL}/jquery/jquery.sprintf.js"></script>
<link type="text/css" rel="{$SCRIPT_URL}/DataTables/css/jquery.dataTables.css" />
<script type="text/javascript" language="javascript" src="{$SCRIPT_URL}/DataTables/jquery.dataTables.js"></script>
<script type="text/javascript" src="{$SCRIPT_URL}/tree_menu/tree.js"></script>

<script type="text/javascript" src="{$SCRIPT_URL}/EcProgress.js"></script>
<script type="text/javascript" src="{$SCRIPT_URL}/admin/cennikImport.js"></script>

<form action="{$ADMIN_URL}" method=POST name="cennik_import_form" id="cennikImportForm" >
    <input type="hidden" name="action" value="{$action}" />
    <input type="hidden" name="mode" value="import" />

{if $cennik->error}
    {assign var="error" value=$cennik->error}
    {assign var="errors" value=$cennik->errors}
    {include file="errors.tpl"}
{/if}

<div class="rowhead">Dane cennika</div>

  <div class="odd">
    <div class=datalabel>Importowany plik:</div>
    <div class=datavalue>
        {$cennikImport.name}
        [<a href="{$AMIN_URL}?action={$action}&amp;mode=upload">Wczytaj inny plik</a>]
    </div>
    <div class=rowend></div>
  </div>

  <div class="odd">
    <div class=datalabel>Dane z arkusza:</div>
    <div class=datavalue>
        {$cennikImport.sheet_name}

        {if $cennikImport.has_sheets}
            [<a href="{$AMIN_URL}?action={$action}&amp;mode=arkusz">Zmie arkusz</a>]
        {/if}
    </div>
    <div class=rowend></div>
  </div>

  <div class="odd">
    <div class=datalabel><label for="CENNIK_IMPORT_SZABLON">Szablon:</label></div>
    <div class=datavalue>
        <a onclick="pokaz_ukryj_obiekt('cennik_import_szablon_hint');" class=help></a>

        <input type="text" name="SZABLON_NAZWA" value="{$cennik->SZABLON_NAZWA}" id="CENNIK_IMPORT_SZABLON_NAZWA" />

        <select name='SZABLON' style="width: 200px;" id="CENNIK_IMPORT_SZABLON">
            <option value="">Wybierz</option>
            {html_options options=$cennik_import_szablony_opcje selected=$cennik->SZABLON_NAZWA}
        </select>

        <a href="{$ADMIN_URL}?action={$action}&mode=delete" id="cennikImportSzablonDeleteBtn">Usu szablon</a>
        <a href="{$ADMIN_URL}?action={$action}&mode=save" id="cennikImportSzablonSaveBtn">Zapisz szablon</a>

        {*make_btn napis="Zapisz" href="#" id="cennikImportSzablonSaveBtn"*}

        <div id="cennik_import_szablon_hint" class="hint">
            Mona zapisa formularz importu cennika pod nazw i przy kolejnym imporcie bdzie mona
            skorzysta z przygotowanego szablonu bez potrzeby wypeniania ponownie fomularza importu.
        </div>
    </div>
    <div class="rowend"></div>
  </div>

  <div class="odd">
    <div class=datalabel><label for="CENNIK_NAZWA_INPUT">Nazwa cennika:</label></div>
    <div class=datavalue>
        <a onclick="pokaz_ukryj_obiekt('cennik_nazwa_hint');" class=help></a>

        <input type="text" class="required" name="NAZWA_CENNIKA" value="{$cennik->NAZWA_CENNIKA}" size=80 maxlength=100 id="CENNIK_NAZWA_INPUT">

        <div id="cennik_nazwa_hint" class="hint">
          Dowolny tekst wpisywany przez uytkownika w celu atwiejszego rozpoznawania
          cennika. Maksymalnie 100 znakw.
        </div>
    </div>
    <div class=rowend></div>
  </div>

  <div class="odd">
    <div class=datalabel><label for="CENNIK_IMPORT_DATA_PLAN_ZATW">Data planowanego zatwierdzenia:</label></div>
    <div class=datavalue>
        <a onclick="pokaz_ukryj_obiekt('cennik_data_zatwierdzenia_hint');" class=help></a>

        <input type="text" class="datepicker" name="DATA_PLAN_ZATW" value="{$cennik->DATA_PLAN_ZATW}" size=20 id="CENNIK_IMPORT_DATA_PLAN_ZATW" />

        <div id="cennik_data_zatwierdzenia_hint" class="hint">
          Planowana data zatwierdzenia cennika.
        </div>
    </div>
    <div class=rowend></div>
  </div>

  <div class="odd">
    <div class=datalabel><label for="CENNIK_BLOKADA">Blokada:</label></div>
    <div class=datavalue>
        <a onclick="pokaz_ukryj_obiekt('cennik_blokada_hint');" class=help></a>

        <input type="checkbox" name="BLOKADA" value=1 id="CENNIK_BLOKADA" {if $cennik->BLOKADA == 1} checked {/if}>

        <div id="cennik_blokada_hint" class="hint">
            Znacznik okrelajcy czy dany cennik jest zablokowany/odblokowany.
            Jeli checkbox zostanie zaznaczony wwczas zablokowan pozycj nie
            da si usun z programu.
        </div>
    </div>
    <div class="rowend"></div>
  </div>

  <div class="odd">
    <div class=datalabel><label for="CENNIK_TABELA_KURSOW">Tabela kursw:</label></div>
    <div class=datavalue>
        <a onclick="pokaz_ukryj_obiekt('cennik_tabela_kursow_hint');" class=help></a>

        <select name='ID_TABELI_KURSOWEJ' style="width: 200px;" id="CENNIK_TABELA_KURSOW" href="{$ADMIN_URL}?action={$ACTION_KURSY}&amp;mode=ajax" >
          <option value="">&nbsp;</option>
          {html_options options=$raks_kursy_assoc selected=$cennik->ID_TABELI_KURSOWEJ}
        </select>

        <div id="cennik_tabela_kursow_hint" class="hint">
            Tabela kursowa, przydatna jeli ceny s w walucie innej ni polski z, aby
            ceny zostay przeliczone przed zapisaniem w cenniku na PLN. Jeli tabela
            nie zostanie wybrana, a dodawana do cennika cena bdzie w walucie to domylnym
            kursem bdzie 1.
        </div>
    </div>
    <div class=rowend></div>
  </div>

  <div class="odd">
    <div class=datalabel><label for="CENNIK_SYGNATURA_INPUT">Sygnatura:</label></div>
    <div class=datavalue>
        <a onclick="pokaz_ukryj_obiekt('cennik_sygnatura_hint');" class=help></a>

        <input type="text" name="SYGNATURA" value="{$cennik->SYGNATURA}" size=80 maxlength=100 id="CENNIK_SYGNATURA_INPUT">

        <div id="cennik_sygnatura_hint" class="hint">
          Dowolny tekst wpisywany przez uytkownika w celu atwiejszego rozpoznawania
          cennika. Maksymalnie 100 znakw.
        </div>
    </div>
    <div class=rowend></div>
  </div>

  <div class="rowhead">Opcje ceny i przeliczania: </div>

  <div class="odd">
    <div class=datalabel><label for="cennik_import_cena_id">Rodzaj ceny:</label></div>
    <div class=datavalue>
        <a onclick="pokaz_ukryj_obiekt('cennik_import_cena_id_hint');" class=help></a>

        <select name='CENA_ID' style="width: 200px;" id="cennik_import_cena_id">
            {html_options options=$raks_ceny_assoc selected=$cennik->CENA_ID}
        </select>

        <div id="cennik_import_cena_id_hint" class="hint">
            Rodzaj ceny dodawanej do cennika, wymagany.
        </div>
    </div>
    <div class=rowend></div>
  </div>

  <div class="odd">
    <div class=datalabel><label for="cennik_import_marza">Dodaj:</label></div>
    <div class=datavalue>
        <a onclick="pokaz_ukryj_obiekt('cennik_import_marza_hint');" class=help></a>

        <select name='MARZA' style="width: 200px;" id="cennik_import_marza">
            <option value="0" >Narzut</option>
            <option value="1" >Mara</option>
        </select>

        <div id="cennik_import_marza_hint" class="hint">
            Jaka wartoc do importowanej cenny powinna zosta doliczona czy to ma by narzut czy mara.
        </div>
    </div>
    <div class=rowend></div>
  </div>

  <div class="odd" id="cennik-import-marza-row">
    <div class=datalabel><label for="cennik_import_marza_procent">Mara:</label></div>
    <div class=datavalue>
        <a onclick="pokaz_ukryj_obiekt('cennik_import_marza_procent_hint');" class=help></a>

        <input type="text" name="MARZA_PROCENT" value="{$cennik->MARZA_PROCENT|default:0}" size=10 id="cennik_import_marza_procent"> %

        <div id="cennik_import_marza_procent_hint" class="hint">

        </div>
    </div>
    <div class=rowend></div>
  </div>

  <div class="odd" id="cennik-import-narzut-row">
    <div class=datalabel><label for="cennik_import_narzut_procent">Narzut:</label></div>
    <div class=datavalue>
        <a onclick="pokaz_ukryj_obiekt('cennik_import_narzut_procent_hint');" class=help></a>

        <input type="text" name="NARZUT_PROCENT" value="{$cennik->NARZUT_PROCENT|default:0}" size=10 id="cennik_import_narzut_procent" /> %

        <div id="cennik_import_narzut_procent_hint" class="hint">

        </div>
    </div>
    <div class=rowend></div>
  </div>

  <div class="odd">
    <div class=datalabel><label for="cennik_import_narzut_dodatkowy_wal">Dodatkowy narzut:</label></div>
    <div class=datavalue>
        <a onclick="pokaz_ukryj_obiekt('cennik_dodaj_hint');" class=help></a>

        <input type="text" name="NARZUT_DODATKOWY_WAL" value="{$cennik->NARZUT_DODATKOWY_WAL|default:0}" size=10 id="cennik_import_narzut_dodatkowy_wal" />
        <span class="waluta">PLN</span>

        <div id="cennik_dodaj_hint" class="hint">
            Dodatkowy narzut doliczany do importowanych cen
        </div>
    </div>
    <div class=rowend></div>
  </div>

<div class="rowhead">Opcje importu: </div>
  <div class="odd">
    <div class=datalabel><label for="CENNIK_IMPORT_FIRST_ROW_SKIP">Pomi pierwszy wiersz:</label></div>
    <div class=datavalue>
        <a onclick="pokaz_ukryj_obiekt('cennik_import_first_row_skip_hint');" class=help></a>

        <input type="checkbox" name="FIRST_ROW_SKIP" value=1 id="CENNIK_IMPORT_FIRST_ROW_SKIP" {if $cennik->FIRST_ROW_SKIP == 1} checked {/if}>

        <div id="cennik_import_first_row_skip_hint" class="hint">
            Jeli w pierwszym wierszu importowanego pliku wystpuj nazwy kolumn, mona pomin ten wiersz
            podczas importowania.
        </div>
    </div>
    <div class="rowend"></div>
  </div>

  <div class="odd">
    <div class=datalabel><label for="CENNIK_IMPORT_CONFIRM">Potwierd:</label></div>
    <div class=datavalue>
        <a onclick="pokaz_ukryj_obiekt('cennik_import_confirm_hint');" class=help></a>

        <input type="checkbox" name="CONFIRM" value=1 id="CENNIK_IMPORT_CONFIRM" {if $cennik->CONFIRM == 1} checked {/if}>

        <div id="cennik_import_confirm_hint" class="hint">
            Przed dodaniem cennik i wstawieniem towarw do bazy danych jest wywietlana strona z
            danymi do zatwierdzenia, dajc od uytkownika potwierdzenia importowanych danych.
            Mona pomin import towarw czy zmieni powizania pomidzy danymi z pliku, a towarem
            w bazie danych.
        </div>
    </div>
    <div class="rowend"></div>
  </div>

  <div class="odd">
    <div class=datalabel><label for="CENNIK_IMPORT_ONLY_PRICES">Importuj tylko ceny:</label></div>
    <div class=datavalue>
        <a onclick="pokaz_ukryj_obiekt('cennik_import_only_prices_hint');" class=help></a>

        <input type="checkbox" name="ONLY_PRICES" value=1 id="CENNIK_IMPORT_ONLY_PRICES" {if $cennik->ONLY_PRICES == 1} checked{/if}>

        <div id="cennik_import_only_prices_hint" class="hint">
            Jeli ta opcja jest zaznaczona tworzony jest nowy cennik w programie RAKSSQL. Produkty, ktre
            nie zostan znalezione w bazie danych nie s dodawane i nie s aktualizowane dane o produktach.
        </div>
    </div>
    <div class="rowend"></div>
  </div>

  <div class="rowhead">Dane towarw: </div>

  <div class="odd">
    <div class=datalabel><label for="cennik_import_towar_skrot_maska">Indeks 1 maska:</label></div>
    <div class=datavalue>
        <a onclick="pokaz_ukryj_obiekt('cennik_import_towar_skrot_maska_hint');" class=help></a>

        <input type="text" name="TOWAR_SKROT_MASKA" value="{$cennik->TOWAR_SKROT_MASKA}" size=30 id="cennik_import_towar_skrot_maska" />

        <div id="cennik_import_towar_skrot_maska_hint" class="hint">
            Jeli indeks 1 nie wystpuje w pliku naley poda mask do generowania indeksw towarw.
            Do wstawienia numeru kolejnego indeksu naley wykorzysta mask #####. Cig ten zostanie
            zastpiony kolejnym numerem, a brakujce miejsca zostan uzupenione zerami.
        </div>
    </div>
    <div class=rowend></div>
  </div>

  <div class="odd">
    <div class=datalabel><label for="cennik_import_towar_skrot_start">Indeks 1 numer startowy:</label></div>
    <div class=datavalue>
        <a onclick="pokaz_ukryj_obiekt('cennik_import_towar_skrot_start_hint');" class=help></a>

        <input type="text" name="TOWAR_SKROT_NUMER" value="{$cennik->TOWAR_SKROT_NUMER|default:1}" size=10 id="cennik_import_towar_skrot_start" />

        <a href="{$ADMIN_URL}?action={$action}&mode=index_find_nr" id="cennikImportIndexFindNrBtn">Znajd numer startowy dla indeksu</a>

        <div id="cennik_import_towar_skrot_start_hint" class="hint">
            Numer od ktrego ma rozpocz si generowanie indeksu pierwszego dla importowanych towarw.
        </div>
    </div>
    <div class=rowend></div>
  </div>

  <div class="odd">
    <div class=datalabel><label for="cennik_import_towar_nazwa_maska">Nazwa towaru:</label></div>
    <div class=datavalue>
        <a onclick="pokaz_ukryj_obiekt('cennik_import_towar_nazwa_hint');" class=help></a>

        <div id="cennikImportTowarNazwaExample">&nbsp;</div>
        <input type="text" name="TOWAR_NAZWA_MASKA" value="{$cennik->TOWAR_NAZWA_MASKA}" size=30 id="cennik_import_towar_nazwa_maska" />

        <div id="cennik_import_towar_nazwa_hint" class="hint">
            Jeli nazwa towaru skada si z kilku p w przesanym pliku to naley je w tym polu
            wpisa oddzielajc je od siebie odpowiednimi znakami. Stosujc nastepujac skladni: <br />
            <pre>
                {ldelim}$nazwa_pola{rdelim}
            </pre>
            Gdzie <code>nazwa_pola</code> to odpowiednio:
            <ul>
                <li>nazwa pola produktu np.: PRODUCENT_NAZWA</li>
                <li>E, F lub AA to nazwa pola w notacji XLS</li>
                <li>column01,column02 zostanie zastapione przez warto z odpowiedniej kolumny z pliku xls. Numeracja pl rozpoczyna si od zera.</li>
            </ul>
            Przykad:
            <pre>{ldelim}$PRODUCENT_NAZWA{rdelim} {ldelim}$C{rdelim} {ldelim}$F{rdelim} {ldelim}$D{rdelim} </pre>
        </div>
    </div>
    <div class=rowend></div>
  </div>

  <div class="odd">
    <div class=datalabel><label for="cennik_import_towar_nazwa_www_maska">Nazwa towaru WWW:</label></div>
    <div class=datavalue>
        <a onclick="pokaz_ukryj_obiekt('cennik_import_towar_nazwa_www_maska_hint');" class=help></a>

        <div id="cennikImportTowarNazwaWWWExample">&nbsp;</div>
        <input type="text" name="TOWAR_NAZWA_WWW_MASKA" value="{$cennik->TOWAR_NAZWA_WWW_MASKA}" size=30 id="cennik_import_towar_nazwa_www_maska" />

        <div id="cennik_import_towar_nazwa_www_maska_hint" class="hint">
            Jeli nazwa towaru wyswietlana w sklepie bdzie si rni od tej w programie RAKSSQL mona
            tutaj sformatowa posta tej nazwy w ten sam sposb jak nazw towaru. <br />
        </div>
    </div>
    <div class=rowend></div>
  </div>

  <div class="odd">
    <div class=datalabel>Domylna grupa:</div>
    <div class=datavalue>
        <a onclick="pokaz_ukryj_obiekt('cennik_cena_hint');" class=help></a>

        <input type="hidden" name="TOWAR_GRUPA" value="" id="CENNIK_IMPORT_TOWAR_GRUPA" />
        <div id="cennikImportTowarGrupaTree"  data-url="{$ADMIN_URL}?action={$ACTION_AJAX}&mode=tree&init=1&onclick=cennikImportGrupaClick">
            <span style="cursor: pointer;" onclick="tree_init(this, '{$ADMIN_URL}?action={$ACTION_AJAX}&mode=tree&init=1&onclick=cennikImportGrupaClick');"><img src="{$SZABLON_URL}/images/icons/trees/base.gif" class="t5im" border="0" allign="absbottom" alt="">&nbsp;Wszystkie</span>
        </div>
        <div id="cennik_cena_hint" class="hint">

        </div>
    </div>
    <div class=rowend></div>
  </div>


  <div class="odd">
    <div class=datalabel>Grupy dowolne:</div>
    <div class=datavalue>
        <a onclick="pokaz_ukryj_obiekt('cennik_grupyt_ext_hint');" class=help></a>

        <div style="height:200px; overflow: auto">
            {grupy_tree ext=true type="towary" input="grupyt_ext[%gid]" id="cennik_grupyt_ext" selected=`$cennik->grupyt_ext`}
        </div>

        <div id="cennik_grupyt_ext_hint" class="hint">
            Wybierz grupy dowolne do ktrych maj by przypisane towary podczas importu
        </div>
    </div>
    <div class=rowend></div>
  </div>


  <div class="odd">
    <div class=datalabel><label for="cennik_import_stawka_vat">Domylna stawka VAT:</label></div>
    <div class=datavalue>
        <a onclick="pokaz_ukryj_obiekt('cennik_import_stawka_vat_hint');" class=help></a>

        <select name='TOWAR_STAWKAVAT' style="width: 200px;" id="cennik_import_stawka_vat">
            <option value="">Wybierz</option>
            {html_options options=$stawki_vat_assoc selected=$cennik->TOWAR_STAWKAVAT}
        </select>

        <div id="cennik_import_stawka_vat_hint" class="hint"></div>
    </div>
    <div class=rowend></div>
  </div>

  <div class="odd">
    <div class=datalabel><label for="cennik_import_jednostka_id">Domylna jednostka:</label></div>
    <div class=datavalue>
        <a onclick="pokaz_ukryj_obiekt('cennik_import_jednostka_hint');" class=help></a>

        <select name='TOWAR_JEDNOSTKA_ID' style="width: 200px;" id="cennik_import_jednostka_id">
            {html_options options=$raks_jednostki_assoc selected=$cennik->TOWAR_JEDNOSTKA_ID}
        </select>

        <div id="cennik_import_jednostka_hint" class="hint" >

        </div>
    </div>
    <div class=rowend></div>
  </div>

  <div class=rowodd >
    <div class=datalabel><label for="CENNIK_IMPORT_PRODUCENT_NAZWA">Producent:</label></div>
    <div class=datavalue>
        <input type="hidden" name="PRODUCENT_ID" id="CENNIK_IMPORT_PRODUCENT_ID" value="{$cennik->PRODUCENT_ID}" />

        <div>
            <input type="text" name="PRODUCENT_NAZWA" value="{$cennik->PRODUCENT_NAZWA}" size=60 id="CENNIK_IMPORT_PRODUCENT_NAZWA" />
            <a class="icon icon_zoom" style="float: none;position: absolute; right: -20px; top: 0px;" onclick="otworz_oknoWH('{$ADMIN_URL}?action={$ACTION_KONTRAHENCI}&amp;mode={$MODE_LIST}&amp;onreturn=cennik_import_producent_onreturn&amp;search='+document.forms['cennik_import_form'].PRODUCENT_NAZWA.value, 940, 600, 'kontrahent_win');" title="Przegldaj kartotek kontrahentw" style="cursor:pointer"></a>
        </div>
    </div>
    <div class=rowend></div>
  </div>

  <div class=roweven >
    <div class=datalabel><label for="CENNIK_IMPORT_DOSTAWCA_NAZWA">Dostawca:</label></div>
    <div class=datavalue>
        <input type="hidden" name="DOSTAWCA_ID" id="CENNIK_IMPORT_DOSTAWCA_ID" value="{$cennik->DOSTAWCA_ID}">

        <div>
           <input type="text" name="DOSTAWCA_NAZWA" value="{$cennik->DOSTAWCA_NAZWA}" size=60 id="CENNIK_IMPORT_DOSTAWCA_NAZWA" />
           <a class="icon icon_zoom" style="float: none; position: absolute; right: -20px;  top: 0px;" onclick="otworz_oknoWH('{$ADMIN_URL}?action={$ACTION_KONTRAHENCI}&amp;mode={$MODE_LIST}&amp;onreturn=cennik_import_dostawca_onreturn&amp;search='+document.forms['cennik_import_form'].DOSTAWCA_NAZWA.value, 940, 600, 'kontrahent_win');" title="Przegldaj kartotek kontrahentw" style="cursor:pointer"></a>
        </div>

    </div>
    <div class=rowend></div>
  </div>


 <input type="image" src="{$SZABLON_IMG_URL}/buttons/submit.gif" />

<div class="rowhead">Dane z pliku: </div>

<table cellpadding="0" cellspacing="0" border="0" class="" id="cennikImportData">
	<thead>
		<tr>
            {foreach from="$cennik_headers" item="th" key="thnum"}
                <th>
                    {$th}&nbsp;<br />
                    <select name='columns[{$thnum}]' style="width: 200px;" id="cennik_import_column{$thnum}">
                        <option value="">Wybierz</option>
                        {html_options options=$cennik_import_fields selected=$cennik->TOWAR_JEDNOSTKA_ID}
                    </select>
                </th>
            {/foreach}
		</tr>
	</thead>

	<tbody>
		<tr>
        {section loop="10" name="s"}
            {foreach from="$cennik_headers" item="item"}
                <td>&nbsp;</td>
            {/foreach}
        {/section}
		</tr>
    </tbody>
 </table>

    <div class="btnsr">
        {make_btn napis="Import" href="#" id="cennikImportSubmitBtn"}
        {make_btn napis="Wczytaj inny plik" href="`$AMIN_URL`?action=`$action`&amp;mode=upload" id="cennikImportUploadBtn"}
        {make_btn napis="Anuluj" href="`$AMIN_URL`?action=`$ACTION_CENNIKI`" id="cennikCancelBtn"}
    </div>
</form>


<script type="text/javascript" charset="utf-8">
    var cennik_import_producent, cennik_import_dostawca;
    var ACTION_KONTRAHENCI = '{$ACTION_KONTRAHENCI}';
    var tableDataUrl= '{$AMIN_URL}?action={$action}&mode=data';

    var raks_ceny = {php2js var=`$raks_ceny`};
    var raks_waluty = {php2js var=`$raks_waluty`};
    var cennik_import_szablony = {php2js var=`$cennik_import_szablony`};
{literal}
/******************************************************************************/
$(function(){
    cennik_import_producent = new Suggest('CENNIK_IMPORT_PRODUCENT_NAZWA', ADMIN_URL + '?action=' + ACTION_KONTRAHENCI + '&mode='+MODE_AJAX+'&short_name=', null, 'cennik_import_producent');
    cennik_import_producent.minKeywordLength = 2;
    cennik_import_producent.updateMore = cennik_import_producent_update_more;

    cennik_import_dostawca = new Suggest('CENNIK_IMPORT_DOSTAWCA_NAZWA', ADMIN_URL + '?action=' + ACTION_KONTRAHENCI + '&mode=' + MODE_AJAX + '&short_name=', null, 'cennik_import_dostawca');
    cennik_import_dostawca.minKeywordLength = 2;
    cennik_import_dostawca.updateMore = cennik_import_dostawca_update_more;
});

$(document).ready(function() {
    $('#cennikImportData').dataTable( {
        "sScrollX": "100%",
        //"sScrollXInner": '1660px',
        "bPaginate": true,
        "bScrollCollapse": true,
        "bLengthChange": true,
        "bFilter": false,
        "bSort": false,
        "bInfo": true,
        "bAutoWidth": false,
        "bJQueryUI": true,
        "bProcessing" : true,
        "bServerSide": true,
        "sAjaxSource": tableDataUrl
    });
});
</script>
{/literal}