<div id="dpdPackageDialog" style="display: none;">
<form action="{$ADMIN_URL}" method="POST" name="dpdPackageForm">
<input type="hidden" name="action" value="{$action}" />
<input type="hidden" name="mode" value="" />
{if $mode == 'wz'}
    <input type="hidden" name="doc_type" value="wz" />
{elseif $mode == 'sp' || $mode == 'fs' || $mode == 'pa'}
    <input type="hidden" name="doc_type" value="sp" />
{else}
    <input type="hidden" name="doc_type" value="zk" />
{/if}

<div class="data">

<table width="100%" cellspacing="0" cellpadding="0" border="0">
<tr>
    <td width="150" >
        <img src="{$TPL_IMG_URL}/dpd-logo.png" alt="DPD" />
    </td>

    <td valign=top>
        <div class="even padding0">
            <div class=datalabel><label for="dpdPackageNumer">Numer przesyki:</label></div>
            <div class=datavalue>
                <a class="help" title="Numer listu przewozowego nadawany po stworzeniu przesyki w systemie DeltaCity"></a>
                <input type="text" class="text" name="nrPrzesylki" id="dpdPackageNumer" value="0000000000000" title="0000000000000" maxlength="100" readonly="readonly" />
            </div>
        </div>

        <div class="even padding0">
            <div class=datalabel><label for="dpdPackagePayerType">Patnik:</label></div>
            <div class=datavalue>
                <a class="help" title="Patnik przesyki"></a>

                <select name="payerType" id="dpdPackagePayerType">
                    <option value="">Wybierz</option>
                    {html_options options=$dpd.payerTypes selected=""}
                </select>
            </div>
        </div>

        <div class="even padding0">
            <div class=datalabel><label for="dpdPackageRef1">Numer referencyjny 1:</label></div>
            <div class=datavalue>
                <a class="help" rel="#dpdPackageRef1Hint"></a>

                <input type="text" class="text" name="ref1" id="dpdPackageRef1" value="" maxlength="30" />
{literal}
                <div class="hint" id="dpdPackageRef1Hint">
                    Numer referencyjny np. numer zamwienia lub numer dokumentu sprzeday wystawionego do zamwienia.
                    Pole do dyspozycji klienta, aby atwiej ledzi przesyki w systemie WebMobile7 (max. 30 znakw alfanumerycznych).
                    Mona tutaj wykorzysta zmienne, aby przenie dane z zamwienia lub dokumentu sprzeday wystawionego dla zamwienia: <br />
                        {$DOC_NUMER} - aby wstawi w to pole numer dokumentu dla ktrego jest generowana przesyka<br />
                        {$ZK_NUMER} - aby wstawi w to pole numer zamwienia<br />
                        {$SP_NUMER} - taki cig znakw zostanie zastpiony numerem paragonu lub faktury wystawionego do zamwienia
                </div>
{/literal}
            </div>
        </div>

        <div class="even padding0">
            <div class=datalabel><label for="dpdPackageRef2">Numer referencyjny 2:</label></div>
            <div class=datavalue>
                <a class="help" title="Kolejny numer referencyjny moliwy do dodania aby ledzi przesyk"></a>
                <input type="text" class="text alphanumeric" name="ref2" id="dpdPackageRef2" value="" maxlength="10"  />
            </div>
        </div>

        <div class="even padding0">
            <div class=datalabel><label for="dpdPackageSzablon">Szablon:</label></div>
            <div class=datavalue>
                <a class="help" title="Nazwa szablonu ktry ma zosta wykorzystany do wygenerowania przesyek"></a>

                <input type="text" class="text alphanumeric multi0" name="template" id="dpdPackageTemplate" value="" maxlength="16"  />

                <select name="szablon" id="dpdPackageSzablon">
                    <option value="">Wybierz</option>
                </select>
            </div>
        </div>
    </td>
</tr>
</table>

{**************************************************************************************************}
<table width="100%" cellspacing="0" cellpadding="0" border="0" class="template" style="display: none;" id="dpdPackageDokumentTemplate">
<tr>
    <td width="50%" valign=top>
        <div class="even padding0">
            <div class=datalabel>Numer dokumentu:</div>
            <div class=datavalue>%NUMER%&nbsp;</div>
        </div>

        <div class="even padding0">
            <div class=datalabel>Data wystawienia:</div>
            <div class=datavalue>%DATA_WYSTAWIENIA%&nbsp;</div>
        </div>

        <div class="even padding0">
            <div class=datalabel>Sposb patnoci:</div>
            <div class=datavalue>%NAZWA_SPOSOBU_PLATNOSCI%&nbsp;</div>
        </div>

        <div class="even padding0">
            <div class=datalabel>Sposb dostawy</div>
            <div class=datavalue>%NAZWA_SP_DOSTAWY%&nbsp;</div>
        </div>

        <div class="even padding0">
            <div class=datalabel>Warto netto</div>
            <div class=datavalue>%PLN_WARTOSC_NETTO%&nbsp;</div>
        </div>

        <div class="even padding0">
            <div class=datalabel>Warto brutto</div>
            <div class=datavalue>%PLN_WARTOSC_BRUTTO%&nbsp;</div>
        </div>
    </td>

    <td width="50%" valign=top>
        <div class="even padding0">
            <div class=datalabel>Nazwa odbiorcy:</div>
            <div class=datavalue>%NAZWA_SKROCONA_ODBIORCY%&nbsp;</div>
        </div>

        <div class="even padding0">
            <div class=datalabel>Kod i miejscowo:</div>
            <div class=datavalue>%adres.postalCode% %adres.city%&nbsp;</div>
        </div>

        <div class="even padding0">
            <div class=datalabel>Adres:</div>
            <div class=datavalue>%adres.address%&nbsp;</div>
        </div>

        <div class="even padding0">
            <div class=datalabel>E-mail</div>
            <div class=datavalue>%EMAIL%&nbsp;</div>
        </div>

        <div class="even padding0">
            <div class=datalabel>Telefon</div>
            <div class=datavalue>%TEL%&nbsp;</div>
        </div>

    </td>
</table>

<div id="dpdPackageDokument" style="display: none;"></div>

{**************************************************************************************************}

<table width="100%" cellspacing="0" cellpadding="0" border="0">
<tr class="head">
    <td width="50%">Nadawca</td>
    <td width="50%">Odbiorca</td>
</tr>

<tr>
    <td width="50%" valign=top>
        <div class="even padding0">
            <div class=datalabel><label for="dpdPackageSenderFid">Nr nadawcy:</label></div>
            <div class=datavalue>
                <a class="help" title="Nr nadawcy przesyki"></a>
                <input type="text" class="text numeric" name="sender[fid]" id="dpdPackageSenderFid" value=""  />
            </div>
        </div>

        <div class="even padding0">
            <div class=datalabel><label for="dpdPackageSenderCompany">Firma:</label></div>
            <div class=datavalue>
                <a class="help" title="Nazwa firmy bdcej nadawc przesyk (max. 100 znakw)"></a>
                <input type="text" class="text" name="sender[company]" id="dpdPackageSenderCompany" value="" maxlength="150" />
            </div>
        </div>

        <div class="even padding0">
            <div class=datalabel><label for="dpdPackageSenderName">Imi i Nazwisko:</label></div>
            <div class=datavalue>
                <a class="help" title="Imi i nazwisko osoby nadajcej przesyk (max. 100 znakw)"></a>
                <input type="text" class="text" name="sender[name]" id="dpdPackageSenderName" value="" maxlength="100" />
            </div>
        </div>
{*
        <div class="even padding0">
            <div class=datalabel><label for="dpdPackageSenderCountryCode">Kraj:</label></div>
            <div class=datavalue>
                <a class="help" title="Kod kraju nadawcy (zgodnie z ISO 3166-1 alfa-2)"></a>
                <input type="text" class="text" name="sender[countryCode]" id="dpdPackageSenderCountryCode" value="" />
            </div>
        </div>
*}
        <div class="even padding0">
            <div class=datalabel><label for="dpdPackageSenderPostalCode">Kod pocztowy:</label></div>
            <div class=datavalue>
                <a class="help" title="Kod pocztowy nadawcy przesyki"></a>
                <input type="text" class="text" name="sender[postalCode]" id="dpdPackageSenderPostalCode" value="" maxlength="50"/>
            </div>
        </div>

        <div class="even padding0">
            <div class=datalabel><label for="dpdPackageSenderCity">Miejscowo:</label></div>
            <div class=datavalue>
                <a class="help" title="Miejscowo nadawcy przesyki"></a>
                <input type="text" class="text" name="sender[city]" id="dpdPackageSenderCity" value="" maxlength="50"/>
            </div>
        </div>

        <div class="even padding0">
            <div class=datalabel><label for="dpdPackageSenderAddress">Ulica nr:</label></div>
            <div class=datavalue>
                <a class="help" title="Ulica, numer budynku i lokalu firmy na dajcej przesyk"></a>
                <input type="text" class="text" name="sender[address]" id="dpdPackageSenderAddress" value="" maxlength="50"/>
            </div>
        </div>

        <div class="even padding0">
            <div class=datalabel><label for="dpdPackageSenderPhone">Telefon:</label></div>
            <div class=datavalue>
                <a class="help" title="telefon kontaktowy osoby nadajcej przesyk (max. 50 znakw)"></a>
                <input type="text" class="text" name="sender[phone]" id="dpdPackageSenderPhone" value="" maxlength="50"/>
            </div>
        </div>

        <div class="even padding0">
            <div class=datalabel><label for="dpdPackageSenderEmail">E-mail:</label></div>
            <div class=datavalue>
                <a class="help" title="E-mail osoby nadajcej przesyk (max. 80 znakw)"></a>
                <input type="text" class="text" name="sender[email]" id="dpdPackageSenderEmail" value="" maxlength="80"/>
            </div>
        </div>
    </td>

    <td width="50%" valign="top" >
      <div class="template0">
        <div class="even padding0">
            <div class=datalabel><label for="dpdPackageReceiverFid">Numer odbiorcy:</label></div>
            <div class=datavalue>
                <a class="help" title="Numer odbiorcy w systemie firmy DeltaCity uzupeniany po dodaniu nowego kontrahenta do bazy danych"></a>
                <input type="text" class="text" name="receiver[fid]" id="dpdPackageReceiverFid" value="" maxlength="10"/>

                {*<a href="{$ADMIN_URL}?action={$action}&mode=kontrahent&search=true" class="search-btn" id="dpdReceiverSzukaj" title="Szukaj odbiorc">Szukaj</a>*}
            </div>
        </div>
{*
        <div class="even padding0">
            <div class=datalabel><label for="dpdPackageReceiverNrExt">Numer zewntrzny:</label></div>
            <div class=datavalue>
                <a class="help" title="Numer zewntrzny (np. w systemie nadawcy). Pole do dyspozycji klienta (max. 10 znakw alfanumerycznych)"></a>
                <input type="text" class="text" name="receiver[nrExt]" id="dpdPackageReceiverNrExt" value="" maxlength="10"/>
            </div>
        </div>
*}

        <div class="even padding0">
            <div class=datalabel><label for="dpdPackageReceiverCompany">Firma:</label></div>
            <div class=datavalue>
                <a class="help" title="Nazwa odbiorcy (max. 150 znakw)"></a>
                <input type="text" class="text" name="receiver[company]" id="dpdPackageReceiverCompany" value="" />
            </div>
        </div>


        <div class="even padding0">
            <div class=datalabel><label for="dpdPackageReceiverName">Imi i Nazwisko:</label></div>
            <div class=datavalue>
                <a class="help" title="Imi i Nazwisko odbiorcy (max. 100 znakw)"></a>
                <input type="text" class="text" name="receiver[name]" id="dpdPackageReceiverName" value="" />
            </div>
        </div>
{*
        <div class="even padding0">
            <div class=datalabel><label for="dpdPackageReceiverCountryCode">Kraj:</label></div>
            <div class=datavalue>
                <a class="help" title="Kod kraju odbiorcy (zgodnie z ISO 3166-1 alfa-2)"></a>
                <input type="text" class="text" name="receiver[countryCode]" id="dpdPackageReceiverCountryCode" value="" />
            </div>
        </div>
*}
        <div class="even padding0">
            <div class=datalabel><label for="dpdPackageReceiverPostalCode">Kod pocztowy:</label></div>
            <div class=datavalue>
                <a class="help" title="Kod pocztowy odbiorcy w formacie XXXXX bez mylnika (gdzie x jest cyfr od 0 do 9)"></a>
                <input type="text" class="text" name="receiver[postalCode]" id="dpdPackageReceiverPostalCode" value="" />
            </div>
        </div>

        <div class="even padding0">
            <div class=datalabel><label for="dpdPackageReceiverCity">Miejscowo:</label></div>
            <div class=datavalue>
                <a class="help" title="Miasto odbiorcy (max. 70 znakw)"></a>
                <input type="text" class="text" name="receiver[city]" id="dpdPackageReceiverCity" value="" />
            </div>
        </div>

        <div class="even padding0">
            <div class=datalabel><label for="dpdPackageReceiverAddress">Urlica nr:</label></div>
            <div class=datavalue>
                <a class="help" title="Adres odbiorcy (max. 70 znakw)"></a>
                <input type="text" class="text" name="receiver[address]" id="dpdPackageReceiverAddress" value="" />
            </div>
        </div>

        <div class="even padding0">
            <div class=datalabel><label for="dpdPackageReceiverTelefon">Telefon:</label></div>
            <div class=datavalue>
                <a class="help" title="Telefon kontaktowy kontrahenta (max. 100 znakw)"></a>
                <input type="text" class="text" name="receiver[telKontakt]" id="dpdPackageReceiverTelefon" value="" />
            </div>
        </div>

        <div class="even padding0">
            <div class=datalabel><label for="dpdPackageReceiverEmail">E-mail:</label></div>
            <div class=datavalue>
                <a class="help" title="Adres email kontrahenta (max. 100 znakw)"></a>
                <input type="text" class="text" name="receiver[email]" id="dpdPackageReceiverEmail" value="" />
            </div>
        </div>
      </div>

        <div class="template1 message_info">
            Dane odbiorcy przesyki nie s dostepne do edycji przy tworzeniu szablonu przesyki.
        </div>
    </td>
</tr>
</table>

<table width="100%" cellspacing="0" cellpadding="0" border="0">


<tr class="head">
  <td width="50%">Usugi</td>
  <td width="50%" class="head"><label for="dpdPackageRef3">Zawarto</label></td>
</tr>

<tr>
    <td width="50%" valign=top rowspan="5">
        <div class="usulga-opcja roweven">
            <input type="hidden" value="0" name="guarantee">
            <input type="checkbox" id="dpdPackageGuarantee" value="1" name="guarantee" class="opcje">
            <label for="dpdPackageGuarantee">Dorczenie gwarantowane</label><br />

            <div id="dpdPackageGuaranteeOpcje" style="margin-left: 18px;" class="display0">
                <select name="services[guarantee][type]" id="dpdPackageServiceGuaranteeType">
                    <option value="">Wybierz</option>
                    {html_options options=$dpd.guaranteeTypes selected=""}
                </select>

                <label for="dpdPackageServiceZastrzDorNaGodz">Godzina</label>
                <input type="text" id="dpdPackageServiceZastrzDorNaGodz" value="0" name="services[guarantee][hour]" >
            </div>
        </div>

        <div class="usulga-opcja roweven ">
            <input type="hidden" value="0" name="ubezpieczenie">
            <input type="checkbox" id="dpdPackageUbezpieczenie" value="1" name="ubezpieczenie">
            <label for="dpdPackageUbezpieczenie">Zlecenie odbioru</label> <br />
        </div>

        <div class="usulga-opcja roweven ">
            <input type="hidden" value="0" name="pobranie">
            <input type="checkbox" class="opcje" id="dpdPackagePobranie" value="1" name="pobranie">
            <label for="dpdPackagePobranie">Pobranie COD</label><br />

            <div id="dpdPackagePobranieOpcje" class="display0">
                <label for="dpdPackagePobranieKwota">Kwota pobrania:</label>
                <input type="text" class="text" name="services[cod][ammount]" id="dpdPackagePobranieKwota" value="" />

                <select name="services[cod][currency]" id="dpdPackageCodCurrency">
                    <option value="">Wybierz</option>
                    {html_options options=$dpd.currencies selected="PLN"}
                </select>
            </div>
        </div>

        <div class="usulga-opcja roweven ">
            <input type="hidden" value="0" name="services[dox]">
            <input type="checkbox" id="dpdPackageServiceDox" value="1" name="services[dox]">
            <label for="dpdPackageServiceDox">DOX</label> <br />
        </div>

        <div class="usulga-opcja roweven ">
            <input type="hidden" value="0" name="services[rod]">
            <input type="checkbox" id="dpdPackageServiceRod" value="1" name="services[rod]">
            <label for="dpdPackageServiceRod">Dokumenty zwrotne</label> <br />
        </div>

        <div class="usulga-opcja roweven ">
            <input type="hidden" value="0" name="services[cud]">
            <input type="checkbox" id="dpdPackageServiceCud" value="1" name="services[cud]">
            <label for="dpdPackageServiceCud">Przesyka zwrotna</label> <br />
        </div>

        <div class="usulga-opcja roweven ">
            <input type="hidden" value="0" name="declaredValue">
            <input type="checkbox" id="dpdPackageDeclaredValue" value="1" name="declaredValue" class="opcje">
            <label for="dpdPackageDeclaredValue">Przesyka wartociowa</label> <br />

            <div id="dpdPackageDeclaredValueOpcje" class="display0">
                <label for="dpdPackageDeclaredValueAmmount">Deklarowana warto:</label>
                <input type="text" class="text" name="services[declaredValue][ammount]" id="dpdPackageDeclaredValueAmmount" value="" />

                <select name="services[declaredValue][currency]" id="dpdPackageDeclaredValueCurrency">
                    <option value="">Wybierz</option>
                    {html_options options=$dpd.currencies selected="PLN"}
                </select>
            </div>
        </div>

        <div class="usulga-opcja roweven ">
            <input type="hidden" value="0" name="services[privPers]">
            <input type="checkbox" id="dpdPackageServicePrivPers" value="1" name="services[privPers]">
            <label for="dpdPackageServicePrivPers">Adres prywatny</label> <br />
        </div>

        <div class="usulga-opcja roweven ">
            <input type="hidden" value="0" name="services[inPers]">
            <input type="checkbox" id="dpdPackageServiceInPers" value="1" name="services[inPers]">
            <label for="dpdPackageServiceInPers">Do rk wasnych</label> <br />
        </div>

        <div class="usulga-opcja roweven ">
            <input type="hidden" value="0" name="services[carryIn]">
            <input type="checkbox" id="dpdPackageServiceCarryIn" value="1" name="services[carryIn]">
            <label for="dpdPackageServiceCarryIn">Wniesienie</label> <br />
        </div>

        <div class="usulga-opcja roweven ">
            <input type="hidden" value="0" name="selfCol">
            <input type="checkbox" id="dpdPackageServiceSelfCol" value="1" name="selfCol" class="opcje">
            <label for="dpdPackageServiceSelfCol">Odbir wasny</label> <br />

            <div id="dpdPackageServiceSelfColOpcje" class="display0">
                <label for="dpdPackageServiceSelfColReciver">Odbiorca:</label>
                <input type="text" class="text" name="services[selfCol][receiver]" id="dpdPackageServiceSelfColReciver" value="" />
            </div>
        </div>


        <div class="usulga-opcja roweven">
            <input type="hidden" value="0" name="services[tires]">
            <input type="checkbox" id="dpdPackageServiceTires" value="1" name="services[tires]">
            <label for="dpdPackageServiceTires">Opony</label><br />
        </div>

{*
        <div class="usulga-opcja roweven">
            <a class="help" rel="dpdPackageOpcjaPobranie0Hint"></a>
            <input type="checkbox" id="dpdPackageOpcjaPobranie0" value="1" name="opcje[pobranie0]">
            <label for="dpdPackageOpcjaPobranie0">Bez automatycznego wykrywania pobrania dla dokumentu na podstawie sposobu patnoci</label><br />

            <div id="dpdPackageOpcjaPobranie0Hint" class="hint">
                Jeli ta opcja jest zaznaczona przy tworzeniu przesyki usuga pobrania nie bdzie ustawiana
                w przesyce na podstawie sposobu patnoci dokumentu. Jeli w nazwie sposobu patnoci
                wystpuje sowo pobranie lub sposb patnoci patno "za pobraniem" skonfigurowany w e-commerce
                wwczas w przesyce zostanie ustawiona usuga pobrania na kwot rwn wartoci
                dokumentu.
            </div>
        </div>

        <div class="usulga-opcja roweven">
            <a class="help" rel="dpdPackageOpcjaUbezpieczWartoscDokumentuHint"></a>
            <input type="checkbox" id="dpdPackageOpcjaUbezpieczWartoscDokumentu" value="1" name="opcje[ubezpieczWartoscDokumentu]">
            <label for="dpdPackageOpcjaUbezpieczWartoscDokumentu">Kwot ubezpieczenia ogranicz do wartoci dokumentu</label><br />

            <div id="dpdPackageOpcjaUbezpieczWartoscDokumentuHint" class="hint">
                Jeli ta opcja jest zaznaczona kwota ubezpieczenia jest ograniczana do wartoci dokumentu. W przeciwnym
                wypadku jest ustalana kwota ubezpieczenia wpisana w szablonie przesyki.
            </div>
        </div>
*}
    </td>

    <td width="50%" valign="top">
        <textarea class="text" name="ref3" rows="8" style="width: 536px;" id="dpdPackageRef3"></textarea>
    </td>
</tr>


<tr class="head">
    <td width="50%">Oglne uwagi do dorczenia</td>
</tr>

<tr >
    <td width="50%" valign="top">
        <textarea  rows="8" style="width: 536px;" type="text" class="text" name="reference" id="dpdPackageReference" ></textarea>

        <div style="height: 100px;"></div>
    </td>
</tr>

{*
<tr class="head">
    <td width="50%">Dokument</td>
    <td width="50%"><label for="dpdPackageUwagi">Uwagi</label></td>
</tr>


<tr>
    <td width="50%" valign="top">
        <div class="even padding0">
            <div class=datalabel><label for="dpdPackageOpcjeZamowienieStatus">Status:</label></div>
            <div class=datavalue>
                <a class="help" title="Po wygenerowaniu przesyki ustaw status zamwienia na"></a>

                <select name="opcje[zk_status]" id="dpdPackageOpcjeZamowienieStatus">
                    <option value="">Wybierz</option>
                    {html_options options=$zk_statusy selected=""}
                </select>
            </div>
        </div>

        <div class="even padding0">
            <div class=datalabel><label for="dpdPackageOpcjeDocSygnatura">Wstaw numer przesyki do sygnatury dokumetu:</label></div>
            <div class=datavalue style="padding-bottom: 20px"><input type="checkbox" class="checkbox" name="opcje[doc_sygnatura]" value="1" id="dpdPackageOpcjeDocSygnatura" /></div>
        </div>

        <div class="even padding0">
            <div class=datalabel><label for="dpdPackageOpcjeZkSygnatura">Wstaw numer przesyki do sygnatury zamwienia:</label></div>
            <div class=datavalue style="padding-bottom: 20px"><input type="checkbox" class="checkbox" name="opcje[zk_sygnatura]" value="1" id="dpdPackageOpcjeZkSygnatura" /></div>
        </div>

        <div class="even padding0">
            <div class=datalabel><label for="dpdPackageOpcjeSpSygnatura">Wstaw numer przesyki do sygnatury paragonu/faktury:</label></div>
            <div class=datavalue style="padding-bottom: 20px"><input type="checkbox" class="checkbox" name="opcje[sp_sygnatura]" value="1" id="dpdPackageOpcjeSpSygnatura" /></div>
        </div>
    </td>

    <td width="50%" valign="top">
        <textarea cols="70" rows="5" type="text" class="text" name="uwagi" id="dpdPackageUwagi" ></textarea>
    </td>
</tr>
*}
</table>

<div id="dpdPackageZamowienia" class="zamowienia"></div>
<div class="clear">&nbsp;</div>

<div>
    {* <div class="head">Paczki</div> *}

    <table id="dpdPackagePaczki" border="0" cellpadding="0" cellspacing="0" width="100%">
        <tr class="head">
            <th>Lp.</th>
            <th>Nr referencyjny</th>
            <th>Waga</th>
            <th>Dugo</th>
            <th>Wysoko</th>
            <th>Szeroko</th>
            <th>Akcje</th>
        </tr>

        <tr class="template">
            <th>%paczka.lp%</th>
            <th>%paczka.reference%</th>
            <th>%paczka.waga%</th>
            <th>%paczka.dlugosc%</th>
            <th>%paczka.wysokosc%</th>
            <th>%paczka.szerokosc%</th>
            <th><a href="#" class="edit-btn"></a><a href="#" class="del-btn"></a></th>
        </tr>
    </table>

    <div id="dpdPackagePaczkiInputs" style="display: none"></div>
</div>

</div>

<input type="submit" value="submit" />
</form>
</div>
