<?php

function smarty_function_towary_z_serii($params, &$smarty){

    $cena_brutto_nazwa = $TOWARY_POLA['CENA_BRUTTO' . GM_CENNIK];

/******************************************************************************/

    $orders = array( 'a.NAZWA', 'a.ID', 'CENA', $cena_brutto_nazwa, 'a.SKROT', 'a.SKROT2', 'a.KOD_KRESKOWY' );
    if( $order <= 0 || $order >= count($orders)){
        $order = 0;
    }else{
        $href_params['order'] = $order;
    }

    $order_by = $orders[$order];
    $smarty->assign('order', $order);

/******************************************************************************/

    $dirs = array_fill(0, count($orders), 0);
    $dir  = ($dir)?1:0;
    if( $dir ){
        $dirs[$order] = 0;
        $asc_desc = 'desc';
        $href_params['dir'] = $dir;
    }else{
        $dirs[$order] = 1;
        $asc_desc = 'asc';
    }
    $smarty ->assign_by_ref('dirs',  $dirs);
    $sortstyles = array_fill(0, count($orders), '');
    $sortstyles[$order] = '<div class="'.$asc_desc.'"></div>';
    $smarty ->assign_by_ref('sortstyles',  $sortstyles);

/******************************************************************************/

    RaksTowarClass::search_options( $params );

    if( POKAZ_ARCHIWALNY != 1 ){
        $where['archiwalny'] = ' ( a.ARCHIWALNY = 0 OR a.ARCHIWALNY IS NULL ) ';
    }

/**************************************************************************************************/

    if( empty($_SESSION['osoba']) || !$_SESSION['osoba']->isAkwizytor() ){
        if( defined('GRUPYT_EXT') && GRUPYT_EXT == 1 ){
            $ext = 1;
        }
    }

/**************************************************************************************************/

    RaksTowarClass::towary_where( $tables, $where, $gid, $ext, GM_CENNIK, $CENA_ID );

/**************************************************************************************************/

    $towary_query = sprintf($zapytanie, 'FIRST '.$na_stronie.' SKIP '.$start.' DISTINCT a.ID ' ).(($order_by)?' ORDER BY '.$order_by.' '.$asc_desc:'');
    
/**************************************************************************************************/

    $towary_info = towary_info( $towary_query, array(
      'producent' => !empty($KAT_PRODUCENT_INFO),
      'parametry' => !empty($KAT_TPARAMS_INFO),
      'rabat'     => ( !empty($_SESSION['koszyk']) ) ? $_SESSION['koszyk']->rabat : 0,
      'promocja'  => !empty($KAT_PROMO_INFO),
      'wyprzedaz' => !empty($KAT_WYPRZ_INFO),
      'dostepnosc' => (defined('SKLEP_DOST') && SKLEP_DOST == 1 && ( $USER_TYPE != KONTO_ESKLEP || empty($KAT_ESKLEP_UKRYJ_STAN) ) ),
      'zdjecie' => !empty($KAT_PHOTO_INFO),
      'opis' => !empty($KAT_OPIS_INFO),
      'meta_desc' => true,
      'ceny_promocyjne' => false,
      'slowa_kluczowe' => true
    ) );

    extract($towary_info, EXTR_OVERWRITE);

/**************************************************************************************************/

    $smarty->assign_r($towary_info);

/*************************************************************************************************/

}

?>
