// JavaScript Document
var form_name = 'allegro_conf_form';
var allegro_confs = new Object();

function allegro_contact_onreturn( id, nazwa ){
    var o_form = document.forms[form_name];

    o_form.elements['contact_id'].value = id;
    o_form.elements['contact_name'].value = nazwa;
}

function allegro_contact_update_more(el){
    var search_for = "item_id=";
    var pos1 = el.innerHTML.indexOf(search_for) + search_for.length + 1;
    var pos2 = el.innerHTML.indexOf(" ", pos1);
    var id = el.innerHTML.substring(pos1, pos2 - 1);

    id = parseInt(id);

    if( !isNaN(id) ){
        document.forms[form_name].elements['contact_id'].value = id;
    }
}



function allegro_conf_onchange( o_sel ){
    var o_values = {'conf_name'    : '',
                    'webapi_key'   : '',
                    'user_pass'    : '',
                    'user_login'   : '',
                    'contact_id'   : '',
                    'contact_name' : '',
                    'cena_id'      : '',
                    'serwis'       : '',
                    'poczta'       : '',
                    'poczta_host'  : ''
                    };
    
    if( o_sel.selectedIndex > 0 ){
        if( typeof(allegro_confs[o_sel.value]) != 'undefined' ){
            o_values = allegro_confs[o_sel.value];
        }
    }else if( !confirm('Czy chcesz wyczyci pole formularza?') ){
        return;
    }
    var skip_fields = [ 'conf_name_select' ];
    
    var i = 0, j = 0, o_field = null, val = '';
    for( i = 0; i < o_sel.form.elements.length; i++ ){
        o_field = o_sel.form.elements[i];

        if( in_array(o_field.name, skip_fields) || o_field.type == 'button' || o_field.type == 'submit' || o_field.type == 'reset' ){
            continue;
        }

        val = ( typeof(o_values[o_field.name]) == 'undefined' ) ? '' : o_values[o_field.name];

        if( o_field.type == 'hidden' ){
            if( typeof(o_values[o_field.name]) != 'undefined' ){
                o_field.value = val;
            }
        }else if( o_field.type == 'checkbox'  ){
            o_field.checked = ( !empty(val) );
        }else if( o_field.type == 'radio'  ){
            o_field.checked = ( o_field.value == val );
        }else{
            o_field.value = val;
        }
    }
}
