// JavaScript Document
var Kupon = new Object();

/**************************************************************************************************/

$(function(){
    /**
     * Generate a new password, which may then be copied to the form
     * with gen_pass().
     *
     * @param   string   the form name
     *
     * @return  boolean  always true
     */
    function gencode( len, digitnum ) {
        var str_chars = "abcdefhjmnpqrstuvwxyzABCDEFGHJKLMNPQRSTUVWYXZ";
        var str_digits = "0123456789";
        var i, j;

        if( len <= 0)
          len = 16;    // do we want that to be dynamic?  no, keep it simple :)

        if( digitnum < 0 || arguments.length < 2 )
          digitnum = 2;    // do we want that to be dynamic?  no, keep it simple :)

        if(digitnum > len)
          digitnum = len;


        var codestr = '';


        var digits = [] ;

        //wypelniam ze wsz
        for ( i = 0; i < len; i++ ) digits[i] = false;

        j = 0;
        while( j < digitnum ){
          i = Math.floor( Math.random() * len);
          if( !digits[i] ){
            digits[i] = true;
            j++;
          }
        }

        for ( i = 0; i < len; i++ ) {
            if( digits[i] )
              codestr  += str_digits.charAt( Math.floor( Math.random() * str_digits.length ) );
            else
              codestr  += str_chars.charAt( Math.floor( Math.random() * str_chars.length ) )
        }

        return codestr;
    }

    $('#kupon_gen_kod_btn').button({
        'icons' : {
            'primary' : 'ui-icon-refresh'
        },
        //label: '',
        text : false
    }).click(function(e){
        e.preventDefault();

        var code = new String(gencode(8));
        $('#kupon_kod').val(code.toUpperCase());

        return false;
    });

    $('#kupon_aktywny').click(function(){
        if( this.checked ){
            $('#kupon_daty_div').slideDown();
        } else {
            $('#kupon_daty_div').slideUp();
        }
    }).triggerHandler('click');


    $('#kupon_regula_kontakty').click(function(){
        if( this.checked ){
            $('#kupon_grupyk_row').slideDown();
        } else {
            $('#kupon_grupyk_row').slideUp();
        }
    }).triggerHandler('click');


    $('#kupon_regula_towary').click(function(){
        if( this.checked ){
            $('#kupon_grupyt_row').slideDown();
        } else {
            $('#kupon_grupyt_row').slideUp();
        }
    }).triggerHandler('click');

    $('#kupon_typ').change(function(){
        if ( $('#kupon_cena_row').is(':visible') ) {
            $('#kupon_cena_row').slideUp();
        }

        if ( $('#kupon_rabat_row').is(':visible') ) {
            $('#kupon_rabat_row').slideUp();
        }

        if ( $('#kupon_kwota_row').is(':visible') ) {
            $('#kupon_kwota_row').slideUp();
        }

        if( this.value == 1 ) {
            $('#kupon_rabat_row').slideDown();
        } else if( this.value == 2 ){
            $('#kupon_cena_row').slideDown();
        }else if( this.value == 3 ){
            $('#kupon_kwota_row').slideDown();
        }
    }).triggerHandler('change');


});


