
DROP ROLE WWW_ROLE;
CREATE ROLE WWW_ROLE;


GRANT SELECT ON CRM_CALENDARS TO WWW_ROLE;
GRANT SELECT ON CRM_EMPLOYEE_COUNT TO WWW_ROLE;
GRANT SELECT, INSERT ON CRM_APPOINTMENT_MEMBERS TO WWW_ROLE;

GRANT ALL ON CRM_LOCATIONS TO WWW_ROLE;
GRANT ALL ON CRM_OS_PERSONS TO WWW_ROLE;
GRANT ALL ON CRM_PRIORITIES TO WWW_ROLE;

GRANT ALL ON CRM_RESPONSIBILITIES TO WWW_ROLE;

GRANT SELECT, UPDATE ON CRM_SALES_OPPORTUNITIES TO WWW_ROLE;

GRANT SELECT, INSERT ON CRM_SCHEDULER_RESOURCES TO WWW_ROLE;
GRANT SELECT, INSERT ON CRM_SCHEDULER TO WWW_ROLE;

GRANT ALL ON CRM_OPERATIONS  TO WWW_ROLE ;
GRANT ALL ON CRM_TASKS  TO WWW_ROLE ;
GRANT ALL ON CRM_TASK_GROUPS  TO WWW_ROLE ;
GRANT ALL ON CRM_TASK_STATUS  TO WWW_ROLE ;

GRANT SELECT, INSERT, UPDATE ON GM_BLOB TO WWW_ROLE;

GRANT all ON GM_CENY TO WWW_ROLE;

GRANT SELECT ON GM_FS TO WWW_ROLE;
GRANT SELECT ON GM_FSPOZ TO WWW_ROLE;

GRANT SELECT ON GM_GENCEN TO WWW_ROLE;
GRANT ALL ON GM_GENCENPOZ TO WWW_ROLE;

GRANT ALL ON GM_GRUPYT TO WWW_ROLE;
GRANT ALL ON GM_GRUPYT_EXT TO WWW_ROLE;
GRANT ALL ON GM_GRUPYT_EXT_POW TO WWW_ROLE;

GRANT SELECT ON GM_KODY TO WWW_ROLE;
GRANT SELECT ON GM_RODZAJEDOK TO WWW_ROLE;

GRANT SELECT ON R3_KODY_DOK TO WWW_ROLE;
GRANT SELECT ON R3_KODY_DOK_SP TO WWW_ROLE;

GRANT SELECT, INSERT, UPDATE ON GM_KONTRAHENCI TO WWW_ROLE;
GRANT SELECT, INSERT, UPDATE ON GM_LOKALIZACJE TO WWW_ROLE;

GRANT SELECT ON GM_MAGAZYN TO WWW_ROLE;
GRANT SELECT ON GM_MAGAZYNY TO WWW_ROLE;
GRANT ALL ON GM_MIARY TO WWW_ROLE;
/*
GRANT SELECT ON GM_MM TO WWW_ROLE;
GRANT SELECT ON GM_MMPPOZ TO WWW_ROLE;
GRANT SELECT ON GM_MMRPOZ TO WWW_ROLE;
GRANT INSERT ON GM_MM TO WWW_ROLE;
GRANT INSERT ON GM_MMPPOZ TO WWW_ROLE;
GRANT INSERT ON GM_MMRPOZ TO WWW_ROLE;
*/
GRANT ALL ON GM_OPAKOWANIA TO WWW_ROLE;


GRANT SELECT, DELETE, INSERT, UPDATE ON GM_OFFERS TO WWW_ROLE;
GRANT SELECT, DELETE, INSERT, UPDATE ON GM_OFFERS_POZ TO WWW_ROLE;

GRANT ALL ON GM_PRZEDSTAWICIELE TO WWW_ROLE;


GRANT ALL ON GM_RABATY TO WWW_ROLE;
GRANT ALL ON GM_RYSUNKI TO WWW_ROLE;
--GRANT SELECT ON GM_ROZMIARY TO WWW_ROLE;
GRANT SELECT ON GM_SPOSOBY_ZAP TO WWW_ROLE;
GRANT ALL ON GM_REZERWACJE TO WWW_ROLE;

GRANT SELECT, UPDATE ON GM_TOWARY TO WWW_ROLE;
GRANT ALL ON GM_TOWARY_AKCES  TO WWW_ROLE;
GRANT ALL ON GM_TOWARY_OPAKOWANIA TO WWW_ROLE;
GRANT SELECT ON GM_TOWARY_ZAMIEN TO WWW_ROLE;

GRANT ALL ON GM_CECHY TO WWW_ROLE;
GRANT ALL ON GM_WARTOSCI_CECH TO WWW_ROLE;
GRANT SELECT ON GM_TOWARY_DEF_CECH TO WWW_ROLE;
GRANT SELECT ON GM_TOWARY_WART_CECH TO WWW_ROLE;

GRANT SELECT ON GM_WZ TO WWW_ROLE;
GRANT SELECT ON GM_WZPOZ TO WWW_ROLE;

GRANT ALL ON GM_STAN_ZA TO WWW_ROLE;
GRANT ALL ON R3_ZNACZNIKI TO WWW_ROLE;

GRANT SELECT, INSERT, UPDATE ON GM_ZK TO WWW_ROLE;
GRANT SELECT, INSERT, UPDATE, DELETE ON GM_ZKPOZ TO WWW_ROLE;
GRANT SELECT, UPDATE, DELETE ON R3_ZNACZNIKI_PODPIECIE TO WWW_ROLE;

GRANT SELECT, INSERT, UPDATE ON GM_ZD TO WWW_ROLE;
GRANT SELECT, INSERT, UPDATE, DELETE ON GM_ZDPOZ TO WWW_ROLE;

GRANT ALL ON R3_AGENCIES TO WWW_ROLE;
GRANT ALL ON R3_ALARMY TO WWW_ROLE;

GRANT SELECT ON R3_ACCOUNT_DOCUMENTS TO WWW_ROLE;
GRANT INSERT ON R3_ACCOUNT_DOCUMENTS TO WWW_ROLE;
GRANT SELECT, UPDATE ON R3_FIRM_SETTINGS TO WWW_ROLE;

GRANT ALL ON R3_ATTACHMENTS TO WWW_ROLE;

GRANT SELECT ON R3_BANK_ACCOUNTS TO WWW_ROLE;

GRANT SELECT, INSERT, UPDATE, DELETE ON R3_CONTACTS TO WWW_ROLE;

GRANT SELECT, INSERT, UPDATE ON R3_CONTACTS_CRM TO WWW_ROLE;
GRANT ALL ON R3_CONTACTS_FIRMS TO WWW_ROLE;
GRANT ALL ON R3_CONTACTS_GROUPS_RELATIONS TO WWW_ROLE;
GRANT EXECUTE ON PROCEDURE R3_CONTACT_GROUPS_TREE_SP TO WWW_ROLE;


GRANT ALL ON R3_CONTACT_ADDRESSES TO WWW_ROLE;
grant ALL on R3_CONTACT_BUSINESS to WWW_ROLE ;

GRANT SELECT ON R3_CONTACT_EXT_GROUPS TO WWW_ROLE;
GRANT SELECT ON R3_CONTACT_GROUPS TO WWW_ROLE;

GRANT ALL ON R3_CONTACT_PHONES TO WWW_ROLE;

GRANT ALL ON R3_CONTACT_WEB_ADDRESSES TO WWW_ROLE;

GRANT ALL ON R3_DESCRIPTIONS TO WWW_ROLE;
GRANT EXECUTE ON PROCEDURE DELETE_DESCRIPTION TO WWW_ROLE;


GRANT ALL ON R3_EXT_TYPES TO WWW_ROLE;
GRANT ALL ON R3_LOGOS TO WWW_ROLE;


GRANT SELECT, INSERT, UPDATE ON R3_PERSONS TO WWW_ROLE;
GRANT SELECT ON R3_PERSON_GROUPS TO WWW_ROLE;


GRANT SELECT ON R3_SETTLEMENT TO WWW_ROLE;
--GRANT INSERT ON R3_SETTLEMENT TO WWW_ROLE;
GRANT SELECT ON R3_SETTLE_PAYMENT TO WWW_ROLE;
--GRANT INSERT ON R3_SETTLE_PAYMENT TO WWW_ROLE;

GRANT SELECT ON R3_VERSIONS_FIRM TO WWW_ROLE;


GRANT EXECUTE ON PROCEDURE GM_GRUPYT_TREE_SP TO WWW_ROLE;
GRANT EXECUTE ON PROCEDURE GM_GRUPYT_EXT_TREE_SP TO WWW_ROLE;
GRANT EXECUTE ON PROCEDURE INTERNAL_SEL_SETTLEMENT TO WWW_ROLE;
GRANT EXECUTE ON PROCEDURE SEL_SETTLE_INFO TO WWW_ROLE;
GRANT EXECUTE ON PROCEDURE SEL_SETTLEMENT  TO WWW_ROLE;
GRANT EXECUTE ON PROCEDURE R3_ZAPISZ_ZNACZNIKI_SP TO WWW_ROLE;
GRANT EXECUTE ON PROCEDURE SEL_SETTLEMENT_BY_DATE TO WWW_ROLE;
GRANT EXECUTE ON PROCEDURE SEL_CONTACT_SETTLE_SUMMARY TO WWW_ROLE;

/*************************************************************************************************/
--dodane w wersji:


GRANT SELECT, INSERT ON CRM_APPOINTMENT_MEMBERS TO WWW_ROLE;
GRANT SELECT ON CRM_CALENDARS TO WWW_ROLE;
GRANT SELECT ON CRM_EMPLOYEE_COUNT TO WWW_ROLE;
GRANT ALL ON CRM_LOCATIONS TO WWW_ROLE;
GRANT ALL ON CRM_OPERATIONS TO WWW_ROLE;
GRANT ALL ON CRM_OS_PERSONS TO WWW_ROLE;
GRANT ALL ON CRM_PRIORITIES TO WWW_ROLE;
GRANT ALL ON CRM_RESPONSIBILITIES TO WWW_ROLE;
GRANT SELECT, UPDATE ON CRM_SALES_OPPORTUNITIES TO WWW_ROLE;
GRANT SELECT, INSERT ON CRM_SCHEDULER TO WWW_ROLE;
GRANT SELECT, INSERT ON CRM_SCHEDULER_RESOURCES TO WWW_ROLE;
GRANT ALL ON CRM_TASKS TO WWW_ROLE;
GRANT ALL ON CRM_TASK_GROUPS TO WWW_ROLE;
GRANT ALL ON CRM_TASK_STATUS TO WWW_ROLE;
GRANT SELECT, INSERT, UPDATE ON GM_BLOB TO WWW_ROLE;
GRANT SELECT ON GM_CECHY TO WWW_ROLE;
GRANT ALL ON GM_CENNIK TO WWW_ROLE;
GRANT SELECT, INSERT ON GM_FS TO WWW_ROLE;
GRANT SELECT, INSERT ON GM_FSPOZ TO WWW_ROLE;
GRANT ALL ON GM_GENCEN TO WWW_ROLE;
GRANT ALL ON GM_GENCENPOZ TO WWW_ROLE;
GRANT ALL ON GM_GRUPYT TO WWW_ROLE;
GRANT ALL ON GM_GRUPYT_EXT TO WWW_ROLE;
GRANT ALL ON GM_GRUPYT_EXT_POW TO WWW_ROLE;
GRANT SELECT ON GM_KODY TO WWW_ROLE;
GRANT SELECT, INSERT, UPDATE ON GM_KONTRAHENCI TO WWW_ROLE;
GRANT SELECT ON GM_MAGAZYN TO WWW_ROLE;
GRANT SELECT ON GM_MAGAZYNY TO WWW_ROLE;
GRANT SELECT ON GM_MIARY TO WWW_ROLE;
GRANT SELECT, INSERT, UPDATE ON GM_MM TO WWW_ROLE;
GRANT ALL ON GM_MMPPOZ TO WWW_ROLE;
GRANT ALL ON GM_MMRPOZ TO WWW_ROLE;
GRANT ALL ON GM_OFFERS TO WWW_ROLE;
GRANT ALL ON GM_OFFERS_POZ TO WWW_ROLE;
GRANT ALL ON GM_OPAKOWANIA TO WWW_ROLE;
GRANT ALL ON GM_PRZEDSTAWICIELE TO WWW_ROLE;
GRANT SELECT ON GM_SPOSOBY_ZAP TO WWW_ROLE;
GRANT SELECT, INSERT ON GM_TOWARY TO WWW_ROLE;
GRANT ALL ON GM_TOWARY_AKCES TO WWW_ROLE;
GRANT SELECT ON GM_TOWARY_DEF_CECH TO WWW_ROLE;
GRANT ALL ON GM_TOWARY_OPAKOWANIA TO WWW_ROLE;
GRANT SELECT ON GM_TOWARY_ZAMIEN TO WWW_ROLE;
GRANT SELECT ON GM_WARTOSCI_CECH TO WWW_ROLE;
GRANT SELECT ON GM_WZ TO WWW_ROLE;
GRANT SELECT ON GM_WZPOZ TO WWW_ROLE;
GRANT SELECT, INSERT, UPDATE ON GM_ZK TO WWW_ROLE;
GRANT ALL ON GM_ZKPOZ TO WWW_ROLE;
GRANT SELECT, INSERT ON R3_ACCOUNT_DOCUMENTS TO WWW_ROLE;
GRANT ALL ON R3_ALARMY TO WWW_ROLE;
GRANT ALL ON R3_ATTACHMENTS TO WWW_ROLE;
GRANT SELECT ON R3_BANK_ACCOUNTS TO WWW_ROLE;
GRANT ALL ON R3_CONTACTS TO WWW_ROLE;
GRANT SELECT, INSERT, UPDATE ON R3_CONTACTS_CRM TO WWW_ROLE;
GRANT ALL ON R3_CONTACTS_FIRMS TO WWW_ROLE;
GRANT ALL ON R3_CONTACTS_GROUPS_RELATIONS TO WWW_ROLE;
GRANT ALL ON R3_CONTACT_ADDRESSES TO WWW_ROLE;
GRANT ALL ON R3_CONTACT_BUSINESS TO WWW_ROLE;
GRANT SELECT ON R3_CONTACT_EXT_GROUPS TO WWW_ROLE;
GRANT SELECT ON R3_CONTACT_GROUPS TO WWW_ROLE;
GRANT ALL ON R3_CONTACT_PHONES TO WWW_ROLE;
GRANT ALL ON R3_CONTACT_WEB_ADDRESSES TO WWW_ROLE;
GRANT ALL ON R3_DESCRIPTIONS TO WWW_ROLE;
GRANT ALL ON R3_EXT_TYPES TO WWW_ROLE;
GRANT SELECT, UPDATE ON R3_FIRM_SETTINGS TO WWW_ROLE;
GRANT ALL ON R3_LOGOS TO WWW_ROLE;
GRANT SELECT, INSERT, UPDATE ON R3_PERSONS TO WWW_ROLE;
GRANT SELECT ON R3_PERSON_GROUPS TO WWW_ROLE;
GRANT SELECT, INSERT ON R3_SETTLEMENT TO WWW_ROLE;
GRANT SELECT, INSERT ON R3_SETTLE_PAYMENT TO WWW_ROLE;
GRANT SELECT, UPDATE, DELETE ON R3_ZNACZNIKI_PODPIECIE TO WWW_ROLE;
