

/******************************************************************************/
/****                                Tables                                ****/
/******************************************************************************/



CREATE TABLE WWW_CONTACT_GROUPS (
    GROUP_ID    INTEGER NOT NULL,
    EXT         BOOLEAN_D NOT NULL /* BOOLEAN_D = SMALLINT DEFAULT 0 NOT NULL CHECK    (VALUE IN (0,1)) */,
    NAME        STRING100_D /* STRING100_D = VARCHAR(100) */,
    WYSWIETL    BOOLEAN_D NOT NULL /* BOOLEAN_D = SMALLINT DEFAULT 0 NOT NULL CHECK    (VALUE IN (0,1)) */,
    ZK_MAG_ID   INTEGER,
    MAGAZYNY    STRING512_D /* STRING512_D = VARCHAR(512) */,
    INSTALACJA  WWW_INSTALACJA_D /* WWW_INSTALACJA_D = VARCHAR(30) */
);




/******************************************************************************/
/****                               Indices                                ****/
/******************************************************************************/

CREATE UNIQUE INDEX WWW_CONTACT_GROUPS_UK ON WWW_CONTACT_GROUPS (GROUP_ID, EXT, INSTALACJA);
CREATE INDEX WWW_CONTACT_GROUPS_WYSWIETL_IND ON WWW_CONTACT_GROUPS (WYSWIETL);



/******************************************************************************/
/****                              Privileges                              ****/
/******************************************************************************/


/* Privileges of roles */
GRANT ALL ON WWW_CONTACT_GROUPS TO WWW_ROLE;
