<?php
/**
 * Smarty plugin
 * @package Smarty
 * @subpackage plugins
 */

function str2utf8 ( $str ){
    return $GLOBALS['utf8']->strToUtf8(htmlspecialchars($str));
}

function smarty_function_cennik_headers($params, &$smarty){

    $script_params = $smarty->get_template_vars('script_params');

    if ( !empty($script_params['xml'])  ) {
        require_once LIB_DIR . '/utf8/utf8.class.php';
        $GLOBALS['utf8'] = new utf8('iso-8859-2');

        $smarty->register_modifier('str2utf8', 'str2utf8');
        $smarty->assign('xml', true);

        header('Expires: Mon, 26 Jul 1997 05:00:00 GMT' );
        header('Last-Modified: ' . gmdate('D, d M Y H:i:s') . 'GMT');
        header('Cache-Control: no-cache, must-revalidate');
        header('Pragma: no-cache');
        //header('Content-Type: text/xml');
        header("Content-Type: application/vnd.ms-excel");
        header("Content-Disposition: attachment; filename=cennik.xml");
    } else if ( !empty($script_params['csv']) ) {
        header("Content-Type: text/csv");
        header("Content-Disposition: attachment; filename=cennik.csv");
    }
}






